summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-10-17 22:03:16 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-10-17 22:03:16 +0100
commit94dd707d272879a8dfdd31d71113b1b7bba98366 (patch)
tree615875fa702a02f83e99f52ddb3a3fb0375a5674 /dev-python
parent29ef84a753ab20dbbb228238713a3c7443c6520e (diff)
gentoo auto-resync : 17:10:2023 - 22:03:16
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GitPython/GitPython-3.1.38.ebuild84
-rw-r--r--dev-python/GitPython/Manifest3
-rw-r--r--dev-python/Manifest.gzbin267629 -> 267667 bytes
-rw-r--r--dev-python/black/Manifest2
-rw-r--r--dev-python/black/black-23.10.0.ebuild53
-rw-r--r--dev-python/cfn-lint/Manifest2
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.82.0.ebuild65
-rw-r--r--dev-python/clang-python/Manifest3
-rw-r--r--dev-python/clang-python/clang-python-17.0.3.ebuild54
-rw-r--r--dev-python/google-api-python-client/Manifest2
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.104.0.ebuild49
-rw-r--r--dev-python/griffe/Manifest2
-rw-r--r--dev-python/griffe/griffe-0.36.7.ebuild45
-rw-r--r--dev-python/lit/Manifest3
-rw-r--r--dev-python/lit/lit-17.0.3.ebuild42
-rw-r--r--dev-python/loky/Manifest2
-rw-r--r--dev-python/loky/loky-3.4.1.ebuild7
-rw-r--r--dev-python/markdown-exec/Manifest2
-rw-r--r--dev-python/markdown-exec/markdown-exec-1.7.0.ebuild34
-rw-r--r--dev-python/mkdocs-material-extensions/Manifest2
-rw-r--r--dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.3.ebuild34
-rw-r--r--dev-python/notebook/Manifest2
-rw-r--r--dev-python/notebook/notebook-7.0.6.ebuild62
-rw-r--r--dev-python/phonenumbers/Manifest2
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.13.23.ebuild39
-rw-r--r--dev-python/pycairo/Manifest3
-rw-r--r--dev-python/pycairo/files/pycairo-1.25.0-init.patch43
-rw-r--r--dev-python/pycairo/pycairo-1.25.0.ebuild77
-rw-r--r--dev-python/pydevd/Manifest2
-rw-r--r--dev-python/pydevd/pydevd-2.10.0.ebuild1
-rw-r--r--dev-python/pygame/Manifest3
-rw-r--r--dev-python/pygame/files/pygame-2.5.2-error.patch121
-rw-r--r--dev-python/pygame/pygame-2.5.2.ebuild101
-rw-r--r--dev-python/pytest-plus/Manifest2
-rw-r--r--dev-python/pytest-plus/pytest-plus-0.5.0.ebuild29
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-18.14.0.ebuild36
-rw-r--r--dev-python/trove-classifiers/Manifest2
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2023.10.17.ebuild31
-rw-r--r--dev-python/urllib3/Manifest4
-rw-r--r--dev-python/urllib3/urllib3-1.26.18.ebuild78
-rw-r--r--dev-python/urllib3/urllib3-2.0.7.ebuild87
42 files changed, 1213 insertions, 4 deletions
diff --git a/dev-python/GitPython/GitPython-3.1.38.ebuild b/dev-python/GitPython/GitPython-3.1.38.ebuild
new file mode 100644
index 000000000000..cc252e9af748
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.38.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.10
+SMMAP_P=smmap-5.0.0_p1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+ test? (
+ https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+ https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis@ci.com" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+ git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb || die
+ git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+ "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimpoortant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_repo.py::TestRepo::test_leaking_password_in_clone_logs
+ test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+ # requires which(1)
+ # https://github.com/gitpython-developers/GitPython/pull/1525
+ test/test_git.py::TestGit::test_refresh
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_git_submodules_and_add_sm_with_new_commit
+ test/test_submodule.py::TestSubmodule::test_list_only_valid_submodules
+ test/test_submodule.py::TestSubmodule::test_root_module
+ )
+
+ epytest -o addopts= test
+}
diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index 516b381af4b5..63ccd613af4f 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -1,6 +1,9 @@
DIST GitPython-3.1.37.gitbundle 9744035 BLAKE2B 57f16e0ebfdf6e2078c8a8fa220185add124431491b0959649c5fca8cf234cf4f3bb86b46937a04de33b5600a3c50dc2c46acff69dfbb03973d48663f8a45bc8 SHA512 b18e2cc7f97f82ba7f36181bb76bb58797ac0c13043f44b9ffdb31523ffafd37cc916986a8a358c85c867937145ad58da052bf650fd346fdacc80b89feeb8d8c
DIST GitPython-3.1.37.tar.gz 200076 BLAKE2B b5db83f6712a94464fec98229af739ca7eb71eb47bd03164e94bb680c03bd84e49c7956e3a58937464c6fd6e4254a24d5e89150f40a59c5d101d7e56daca8fba SHA512 c036b5a12b2839a152d21cc6163445c067d70b18984888e799b0900449bea0a5290f6520fae5cab83fb8553af9c6bb0150c9b28103311deecb3686de30dd35f1
+DIST GitPython-3.1.38.gitbundle 9830368 BLAKE2B 4a0e5c9f7f859b49d36d8d8deef79aa59615698416586d2802d428d21b959bd80da78555588f51db4833f35e2cc63d56ef9188a59916693af484e6e6ccc4c6b9 SHA512 5fff695ac828bb0495fb8dd9bc75f57e44d721ad8010577d567c34638e75855d22ce6560649cebe26a84f1baa0f245b82b9369e19ce6e3af36eadcfd51049c23
+DIST GitPython-3.1.38.tar.gz 200632 BLAKE2B 56c9b0f96c70e9f021d9830b220a43902de58271c38b25886c93d33706bd5a4dd081ca3cc3c126c7d5da24ed715a36b570b7a81f9d71aa3c1bfc77f2f7865730 SHA512 39bdf3dc3b1b1467a6f5426817977a353d54d4798451126f847911039de84d7d8030bc4d4263fd7584685a5a8113fc62d29f6c98c0bc95b646ee4f2f0ef60862
DIST gitdb-4.0.10.gitbundle 1485461 BLAKE2B 5a217c609a402cd7888da1502b25d217812503cd703cda8bce3c7159732c59d7f4bcd52688a5da457f43fde1645a6db79588a6fc8cc8dff5c58e9dcbaef79b9a SHA512 98dba48f75e28eaded791f91c611e07bef73c28a7f8ac58889b05d04f4b3699a85a5be1c829ea3e2f380507a9009f35bc552bb4260564127e2863807f9b4712a
DIST smmap-5.0.0_p1.gitbundle 324544 BLAKE2B 69098c7644abaec7f32226cad7ff3008e49d94c9f7349d0b815223249c20bfd2b51a50474e51864821f30c98f5982e5c35ce9217145a1e5d11326492c41faecc SHA512 4f36ca2c94ddfeb949c880fb52c3b1905d144dd59b95f2f05c93ed7b694dcb128218a2800ca23b721fbeff9a1920e8c3326675098e2ef0361ff6e90c8c2850ba
EBUILD GitPython-3.1.37.ebuild 2329 BLAKE2B d1624385cbbb707a699a0cbdd0c79267f081ce759c01f8a2aecf998646ae4183d7e7e6d22b969d3926ffc62e2ee7956089c2a3a2f801f884d8ede62e22076990 SHA512 dced81b22474510b093621932d72b99c6447e84499d48f113f4dc7170b621cc8bbe0a6c46ac1f3ea5fc9451dfab0076f44e03e69e446c5a1ba89427cbe474a55
+EBUILD GitPython-3.1.38.ebuild 2337 BLAKE2B c5065e57ccddaccdc1371f692705d0febced2c4ffa789436785e90f49b5267abb887f82a4d1659f3982eeac2c3cf514d1d0b2e7dab85e08acbbdffbc22f60e3b SHA512 8eecd47587b3c70221c0c9920b576f36688868825942eab369f64a88dccb9c0ff9c23a12111420ad3084b31d9c849bad4846804901c37ece50f6ab3b59d86a8e
MISC metadata.xml 407 BLAKE2B 49fd8d520d575be1489c299f22595120fad882f055b9cf2d02b87382c6d8f0ff38af694e5584b4da579aa84b82c2f1032e4afb64cafd9f4fe9212a6d67b4a752 SHA512 1bebe1e134eb86a4745cf7e297d45118a2bdd3d8a71d0034294b5c799a9cee763c63b61b34c6707c52f61058f727f4b827dd020d285fc297712b29eb7c1129ef
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 5e4063c5512b..7313b72e495b 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/black/Manifest b/dev-python/black/Manifest
index ca794a56e62a..aa9ca79e19f5 100644
--- a/dev-python/black/Manifest
+++ b/dev-python/black/Manifest
@@ -1,6 +1,8 @@
+DIST black-23.10.0.tar.gz 595880 BLAKE2B 978f0334abd1085ae9d6b085510c938235fb4b94ac0ecc4f13754f36d3d3152d4c5075d0177c5492a50cc45e8feb4af8d8eb023516d2fe85c0c61fa4b1eb8fb4 SHA512 2d24a269e66e07473afb0eeb0e25472ed53b20a4dad3622319cafd2f90f2615b4eba39971269c75208c439bfc430ca9b4922e7cce6ec9bd28e648cd62b75aea4
DIST black-23.7.0.tar.gz 586177 BLAKE2B 4bb50b6c7409a97aa277f1048c17101a1c91368b9269cf4c08d3052c036887d2ed6e5f1f2e044c14f41bf2d969d65183413c2a9810f12d96cbf09778c9b1310e SHA512 78d5e87bfef4dcaff007455e8c72dcd45f9374c09da6f4ba45ae7caa980005d1bc984c68fa44d4abf7969a376a4039546e7e8f537c3aa1331d213e13dcbe3941
DIST black-23.9.0.tar.gz 588540 BLAKE2B f3c94acb1af6c4bf1ada948d4ea7b7cd243184b920fab7e741d9e5ee4a82e163e5570ca1451424ea379362ae1755907e4b5e63b517a4e420d6cbe9d69655a10f SHA512 4d1ae51353c7a0a4113796fcc10824228d5bd9a0f19474efc8c5e3a9b929433a586f058521fd1dae35301e9e33e6d231b0584f81514104ac5c787f8e55cb9fa8
DIST black-23.9.1.tar.gz 589529 BLAKE2B 642e1bb7b83653d879b3cbf1e618472a3106c1d9c918cbb57e5f517a96a8838a501f0e49f0fa1822d87600b4a8cecaac8da2bc9f08d5bc4131a611a90099f60a SHA512 0732409800a131fee69fffa8e7be8c128d26f0f75038235ba6f8c7451901199eed4118a2cb640ec0a5e6b40238bf41991c4a0559534f3a9f13d29f118e5b4aaa
+EBUILD black-23.10.0.ebuild 1419 BLAKE2B 159bb6253fead0e9868fa730d93cda3942b8bcbdeba595a4ed853a7a5b38de2c1118f7014637adf229fa94faec559d2620093a0d8d442f85771dc13b711947eb SHA512 7891509019d71dd6a88f6b07cbf7b706136f36b20695abb14dd0a75305adec58fffe5ab0f817553e587b61800da15f38146c3779149e23e06b66df4c3c94dd11
EBUILD black-23.7.0.ebuild 1411 BLAKE2B a34b33a3cfbf25f22b27e60d26931c86fcb5c8121d02660e7f6fd96fc3fbb0e19199c99f00a51e7a1ad40bcafb0213a59f13104537db38301a128748c0a2c38c SHA512 440d1b59f0fe0f4e1901a6181e819940123886ff0e28db0670c88b72dd57771447fbe5dcb2e815b8bc057690571e0d740106f4dbf7bad08b5e2371ecb71311cb
EBUILD black-23.9.0.ebuild 1419 BLAKE2B 159bb6253fead0e9868fa730d93cda3942b8bcbdeba595a4ed853a7a5b38de2c1118f7014637adf229fa94faec559d2620093a0d8d442f85771dc13b711947eb SHA512 7891509019d71dd6a88f6b07cbf7b706136f36b20695abb14dd0a75305adec58fffe5ab0f817553e587b61800da15f38146c3779149e23e06b66df4c3c94dd11
EBUILD black-23.9.1.ebuild 1412 BLAKE2B b93125a851d6faa11135a7b0b41c48a41b0c3df51d237265cc998fc81098b16a94d3b9b4c170cea1c034aaecd5e32b5c0d3a59ab1c0c123830ff4bc0ebcd7a25 SHA512 d07cfded5e672a55ef276eb3f471cee02f71cff152119ae8efb72e78192a811eb7b3ecc666c820ef1458eaa3bb5b57723a0668a4977ad7ebdd3a8959d2bbed21
diff --git a/dev-python/black/black-23.10.0.ebuild b/dev-python/black/black-23.10.0.ebuild
new file mode 100644
index 000000000000..29726cd5e4ea
--- /dev/null
+++ b/dev-python/black/black-23.10.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing optfeature pypi
+
+DESCRIPTION="The uncompromising Python code formatter"
+HOMEPAGE="
+ https://black.readthedocs.io/en/stable/
+ https://github.com/psf/black/
+ https://pypi.org/project/black/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/click-8.0.0[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-22.0[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/aiohttp-3.7.4[${PYTHON_USEDEP}]
+ dev-python/aiohttp-cors[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -n "$(makeopts_jobs)" --dist=worksteal
+}
+
+pkg_postinst() {
+ optfeature "blackd - HTTP API for black" \
+ "dev-python/aiohttp dev-python/aiohttp-cors"
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 54462d9e5375..6ba12405ae2e 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,7 +1,9 @@
DIST cfn-lint-0.80.3.tar.gz 3685775 BLAKE2B 3b8d233e64d2060b124eb560aa963c3ae06a53a68f0e2ad1e7824a4b136ba0bb3ab2c7a3b5bcd72e3350531672cd1da4b98ad8bd1348b6efc80a8adce7e276a8 SHA512 d5afd13db145200d4ca9679a41436b48e92e391db2c5a9f60feffbe735a3ef013b11f2d2bdee4fa04da862b99cabf5a4aa62648418ce68eeddc9dff0f95235c1
DIST cfn-lint-0.80.4.tar.gz 3657880 BLAKE2B 8507c2381bfb7e7f796eb8fbc505bbda48bdb217d9357063289d66307140914dce7d40de8851b0459e6f6154bc3e09d4d0e30da5e1f1cdcf0fad6e8f8b00f3d3 SHA512 a09954b014d2cf677b97012b2635345f94cefbe227f4040eed80aad5ee602daa2542a636295a4c90ad60bcf4e8eb9015a5b9de75c72ffcb903a6ec460a22267e
DIST cfn-lint-0.81.0.tar.gz 3688759 BLAKE2B 595429d5891b5a4b563645c2b3ba55e8c79179419de73bbaf7298462c40431074ac4c31c7b4fabd037ed252771f3961a006cc2ea4095b79bf0e7dab4c952b4d3 SHA512 cbc4a7183c147df9c057420dd9f407762fd79a76447212a4c8ae183c3915061b2a93d3d1cc18a733ac809a81463b1f8cab68b031af50c56441b269c559abf7c0
+DIST cfn-lint-0.82.0.tar.gz 3714744 BLAKE2B adaf9e7482983f6585d9ae83979d3066533eeb6192019b621e206d144fbbb0ae0bcb9f3f70602d41cc3958218130ecdbc54eeb7f54f645c729cef1eb31bd9aae SHA512 68c90bb34be029c635f0e1caede46560b011d92a149b701fb3e2aa5794462a9e28addd4489e9fde06df110684728a7dbb9c383a37d7510e076a30d5b7d653cd9
EBUILD cfn-lint-0.80.3.ebuild 2066 BLAKE2B 796df054c86bcd34236e7862575bdd323ea2b664f0f4aeef1f0cc0a6701abcee2b581115f08bc339d3ab39285316f13f87698533a926a5202cd35a3fb2a1c671 SHA512 94c3cbfbfd0b310086112fe34fcc5314941c3459990ed24bf9df2e3ef954876b532fb10751187770f7f94c614bdbec765c18f75ab659b9978a60c34e3f74a1e1
EBUILD cfn-lint-0.80.4.ebuild 2068 BLAKE2B 9c1980d65cce4e1343db0d4c3e8bb488f4a6790f1b45aa4f4e68ba117a8b2257ac44c722ba77d8ba1fe5582513d829b7ab7df19b466e04041323c933681abe5d SHA512 0cee2a5e229063d39ecd2fb276e7a1b046e6f27801c5c4408c58973b54f073060b53834e20c08937abd8c8a1352b935977ac811efd26615b0af5e603de7d8433
EBUILD cfn-lint-0.81.0.ebuild 2068 BLAKE2B 6a553b2b5b7f4fdef344a98f64068fcb00670ed1dc91b8d67447b4d8554db05defae8b8b5aff2371c832c2f32f9f6a25c2ccfabe103a7329cffe1ce49c82cef9 SHA512 b4765b94f84435328941d01100306db3bb9a322e9a61aea7884e90c982a26969e860e39eb351e968c8cbfa246e35624136010f3df6d6bb4055a36c93aae4b1c0
+EBUILD cfn-lint-0.82.0.ebuild 2068 BLAKE2B 6a553b2b5b7f4fdef344a98f64068fcb00670ed1dc91b8d67447b4d8554db05defae8b8b5aff2371c832c2f32f9f6a25c2ccfabe103a7329cffe1ce49c82cef9 SHA512 b4765b94f84435328941d01100306db3bb9a322e9a61aea7884e90c982a26969e860e39eb351e968c8cbfa246e35624136010f3df6d6bb4055a36c93aae4b1c0
MISC metadata.xml 583 BLAKE2B 9f73e2b92e5cfa2ad59f5c8e5d91bdd3aa9eba3fa722b93b388cffea42020db7e7441bab5749432812934a4514d3e9104e6d897e1d115afa5ed237757bd48c03 SHA512 1866a349855ae4e248498b7aabd6ce4c4e10ea58731df4bfa13500f61dc041da6dbd7420e7d6a78fad46d5cf00bd7ef2d0c4c7d6819a21b3a5031b0d49588a19
diff --git a/dev-python/cfn-lint/cfn-lint-0.82.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.82.0.ebuild
new file mode 100644
index 000000000000..ed04444ce9f3
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.82.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.75.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 84153048d208..64ba2e7961fc 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -8,6 +8,8 @@ DIST llvm-project-17.0.1.src.tar.xz 127830376 BLAKE2B bb3b9f7358df9006307f5eeccf
DIST llvm-project-17.0.1.src.tar.xz.sig 438 BLAKE2B 3182e3c3a48635fdec39b945ee3b782d7c9c2a07911d9ede2e3421031bb1b4959bd495c5e39d094aeaf555579b9fe3eb834c1449077c154c629f5db605375e7c SHA512 301a6e6c46d6fee13c86dec1a021c35f6bf3a97e5d6b0aa7b7eac34e7ca52f6cefffc25a9e376250b1eb721a65a5852f2f1948abd432698363a81dd7ee19d81c
DIST llvm-project-17.0.2.src.tar.xz 127833708 BLAKE2B fa9e2e48ce1117063f5cef0aeef85ce84b99bd8fae23022572a6f016eff2ffbf8aab6250b0bdb6e0bbea1c4daf10cecceb18e80496260b5aa81086075d503e12 SHA512 4586224c3f547e8065fa4f0ca3629a1dfed868dfc372ab192d8b9384f0f74dc8cb27dcb6269dc4230202e6a524aae852d98b40fa02ed0393086a162387ea7659
DIST llvm-project-17.0.2.src.tar.xz.sig 438 BLAKE2B 3ba5d7a09e9de3f38a6f7b5b771b08b1c4e96ea7eda948cfa679598d240fa5211fd37220fbe09e37682212b17fb71b8b5539475edb8ff46d9767054983f670cb SHA512 234276813e3f4b5ee9b1dc640a613fd2e60f1d659f4e089733278d08dd0e208ad37d4d64c9e1edd420b6b87e112458ecec5f76ed9a243c3023b0adbab19ab909
+DIST llvm-project-17.0.3.src.tar.xz 127843636 BLAKE2B 5331d9b545faab282a4caec9ee688d0f1e0615a56a26aa24d8f6fbbae10258e132d94634dab2f7bd69ada06bb28dc899730b9cd774a1086d7c03d5706de6d997 SHA512 44f37dea494a66a83c252e28d7d0517c3b2eed5b196565432dc663c7914bd66d665c8d13479e2776a14cac1905faf6972f986176722c053b58528570a6e68316
+DIST llvm-project-17.0.3.src.tar.xz.sig 438 BLAKE2B 045e7ca82c8d9b3f182e4fa331ec841b24777ac1888f10de435a389ae3a88172e0559a3fca0c2d37cc874464411ae50d7bc0d0829455149a8de8b953ef6c98c7 SHA512 95f9e6729074cfd71b0ffb21e423cd0fd87763268c24e0513f7afd6a85d08061658c44c03ea3ea3b6e3cc7051676d44c41a791e6905c8abb456d48a3762fc152
DIST llvm-project-39fec5457c0925bd39f67f63fe17391584e08258.tar.gz 198361956 BLAKE2B 001b9d9b7997762dcce4f0b1deb94d41c3d840c178ba1e92208782e7e21fdc0041cde359051b2b1b1fc75526ff6504d3b9375ff873831350de359530c944a961 SHA512 b560e71c9855aff9fb5385f9fb30f63fbef074fd695e7cb31847192837a161bfe4808ceb09c514a676ae817616f15fb5a57d325aa9744eaac46b8f4b20b77a13
DIST llvm-project-5d35273a32d239b7407338e13ed71b59174d6536.tar.gz 198787569 BLAKE2B 7f4f1eb490028e18826a6ebade649a682e433252ceab1f3dcd9e50c34f24e7ef108c3325ec209a4d4fa1ded8e09ebda4980cb9d8ddce8a0d517923d6c38b8f4a SHA512 4d263561fb12cc07a5e8f7ed2f8f22a3645aa959cf963a6a735a9bb93cfc2a51bf7e4d36b54e8425725029cfcfd868dfcc53af95d26d84be72be124d8c564271
DIST llvm-project-f5cb9cb59d7c9c6ac3d5c41c677f68c9b75d34a3.tar.gz 198113948 BLAKE2B 1688920eb790421f4143e92bd7bd26794a2497e7b445dde6d55b59c9df4b1aebb848833c7cb1b7c273c5e002763f2531a341313500ce207242f992dfe343b988 SHA512 9817e8b7adf7c69d673124e8334c3e511dfd1cc386832c52b2fb0f2517475d29cd98513ad87188a962f9697dfac39ea03f5b2db6c549c307cf3d27b1370ffdf3
@@ -17,6 +19,7 @@ EBUILD clang-python-16.0.6.ebuild 1203 BLAKE2B 7baa638bb302b5b97aea34e62d28035f6
EBUILD clang-python-17.0.1.ebuild 1205 BLAKE2B 18081510503b8096976c6e8586ddfb9ec357b99104a32132133c0d008bbe8c1f5ded7156d59154596332df2355a3e63c9b4a6d86ca56a0d532cc8dfa7bd9614c SHA512 54ed491aba58444e19ed851f1fe8c77955534608ec271cf21702d374f733dd81e8f34ddae0599a5602cba063497b8e199b34b34efed3be0c44107a577d3e2438
EBUILD clang-python-17.0.2.ebuild 1205 BLAKE2B 18081510503b8096976c6e8586ddfb9ec357b99104a32132133c0d008bbe8c1f5ded7156d59154596332df2355a3e63c9b4a6d86ca56a0d532cc8dfa7bd9614c SHA512 54ed491aba58444e19ed851f1fe8c77955534608ec271cf21702d374f733dd81e8f34ddae0599a5602cba063497b8e199b34b34efed3be0c44107a577d3e2438
EBUILD clang-python-17.0.3.9999.ebuild 1182 BLAKE2B 887254f4c5f628032b6b4a9726c73866a42466c39cef8acaa1fd4a61ef52f08d2b5401b22f29147ba8dd9e0684d07bb647ebd568faffec5e278053adffaa64e2 SHA512 8686f41136e59de9ad26d6af6bf66fab789ea8023cb2cddf5ce1210dcd2ef19e649dfb8dd87f2d91947f4f2e16d818507c56835ba62e50747063ba004cfc1e5f
+EBUILD clang-python-17.0.3.ebuild 1205 BLAKE2B 18081510503b8096976c6e8586ddfb9ec357b99104a32132133c0d008bbe8c1f5ded7156d59154596332df2355a3e63c9b4a6d86ca56a0d532cc8dfa7bd9614c SHA512 54ed491aba58444e19ed851f1fe8c77955534608ec271cf21702d374f733dd81e8f34ddae0599a5602cba063497b8e199b34b34efed3be0c44107a577d3e2438
EBUILD clang-python-18.0.0.9999.ebuild 1182 BLAKE2B 887254f4c5f628032b6b4a9726c73866a42466c39cef8acaa1fd4a61ef52f08d2b5401b22f29147ba8dd9e0684d07bb647ebd568faffec5e278053adffaa64e2 SHA512 8686f41136e59de9ad26d6af6bf66fab789ea8023cb2cddf5ce1210dcd2ef19e649dfb8dd87f2d91947f4f2e16d818507c56835ba62e50747063ba004cfc1e5f
EBUILD clang-python-18.0.0_pre20230925.ebuild 1182 BLAKE2B 887254f4c5f628032b6b4a9726c73866a42466c39cef8acaa1fd4a61ef52f08d2b5401b22f29147ba8dd9e0684d07bb647ebd568faffec5e278053adffaa64e2 SHA512 8686f41136e59de9ad26d6af6bf66fab789ea8023cb2cddf5ce1210dcd2ef19e649dfb8dd87f2d91947f4f2e16d818507c56835ba62e50747063ba004cfc1e5f
EBUILD clang-python-18.0.0_pre20231002.ebuild 1182 BLAKE2B 887254f4c5f628032b6b4a9726c73866a42466c39cef8acaa1fd4a61ef52f08d2b5401b22f29147ba8dd9e0684d07bb647ebd568faffec5e278053adffaa64e2 SHA512 8686f41136e59de9ad26d6af6bf66fab789ea8023cb2cddf5ce1210dcd2ef19e649dfb8dd87f2d91947f4f2e16d818507c56835ba62e50747063ba004cfc1e5f
diff --git a/dev-python/clang-python/clang-python-17.0.3.ebuild b/dev-python/clang-python/clang-python-17.0.3.ebuild
new file mode 100644
index 000000000000..d4a2cc4e8854
--- /dev/null
+++ b/dev-python/clang-python/clang-python-17.0.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 6cdbbf24c603..99b8fcc81850 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -2,8 +2,10 @@ DIST google-api-python-client-2.100.0.tar.gz 11735626 BLAKE2B dcdf8d5b3394a8c838
DIST google-api-python-client-2.101.0.tar.gz 11765398 BLAKE2B c50c4266233eaef0d773f403c1d942063430d24602bad9b2c74adabfc3fc110ef8ae5b919add3afced251aec6ef25ce253034c2a3878d31e804a98f2d4dc5e42 SHA512 30f74b5e410e97efb814eb3166b91257c81ba8d8d19db446a6818dde54d72e43f275a68aa6dcd576e586eca8cafb97754a4af052f4a69e7c964bb5784192f410
DIST google-api-python-client-2.102.0.tar.gz 11915090 BLAKE2B bc88a590e1c14667ffbac5aa9233d303df2f0743f86de1236b091b3dad50ee77e1d51c2ca0b628b63197547855be911cbb8201773e516e9a0cd50e8451b5998a SHA512 894de3c6ec61ae1de16514f96682776665af897e128918504fb0c067a5dc1586ad53101ca03d3c826ceed7ed3de9a878123a3fed269618f4ca743f53dbeeb66b
DIST google-api-python-client-2.103.0.tar.gz 12063767 BLAKE2B 7fa483cca8a957630c1c4662934aaf81c05145246ecb279a85761dc2a808d7b76921a18671006b8eabfba9543e747f396c850a81d42eb4db902a708c302905b3 SHA512 d8b4bea6e0643ebe5e2626ecde7086a17c34f469aadc9147d554040a3a3ac12bcbf3404b367c30b423aa6d5aaf6262df3349cd22ef2ab0d213c3a5e30b8fd11a
+DIST google-api-python-client-2.104.0.tar.gz 12080299 BLAKE2B ca6209454399db0a738758587b4ed2c7996dcbb1b7953ec7708b427e2bbeecf792db5fbb55f1d4e8c56b1df24352902ffb5e662c1b5a5337b8aaaccf0ae00934 SHA512 44318cee7702788fb824ccac462614d7465ae4493c91b4bb758906a88bc326c64e80452387d02b5d35037f42ad4de90ca38a4fce6c06eb89bbbe425b69e4a3cd
EBUILD google-api-python-client-2.100.0.ebuild 1314 BLAKE2B 4b94f53adfddc78245531b7528b46e0f22ea97b1c3a2f856657d9239308e302abb13d95c75f7118e12c459f8350c035cea63691a55db8c9c089345bb1353e67e SHA512 ea3465da7f85594297f735b66d1e2378e2b2eceb530da38dda71ef2ff0ab26f5abddc8c0cfaafbd34abb040e114c67e55c71aa9a3e84fcede68ee298b1f32fbe
EBUILD google-api-python-client-2.101.0.ebuild 1316 BLAKE2B d6d158b0cdd8c45d8d79dbc2977291d7e3342c7f53da3adcb227708ae8f3161413381d971dddf63b941a32b94133a6cd4c661d7b76863a5d3162db0495fdceaa SHA512 762a1b2c0e8c06f60e01fd9045abc4255999039a97e86145bdbe8ea7727d2bbfd3defd6c6e932a726f0efe001cb0364d1640f2a808c531ff57ec66d8740d9d13
EBUILD google-api-python-client-2.102.0.ebuild 1316 BLAKE2B d6d158b0cdd8c45d8d79dbc2977291d7e3342c7f53da3adcb227708ae8f3161413381d971dddf63b941a32b94133a6cd4c661d7b76863a5d3162db0495fdceaa SHA512 762a1b2c0e8c06f60e01fd9045abc4255999039a97e86145bdbe8ea7727d2bbfd3defd6c6e932a726f0efe001cb0364d1640f2a808c531ff57ec66d8740d9d13
EBUILD google-api-python-client-2.103.0.ebuild 1316 BLAKE2B d6d158b0cdd8c45d8d79dbc2977291d7e3342c7f53da3adcb227708ae8f3161413381d971dddf63b941a32b94133a6cd4c661d7b76863a5d3162db0495fdceaa SHA512 762a1b2c0e8c06f60e01fd9045abc4255999039a97e86145bdbe8ea7727d2bbfd3defd6c6e932a726f0efe001cb0364d1640f2a808c531ff57ec66d8740d9d13
+EBUILD google-api-python-client-2.104.0.ebuild 1316 BLAKE2B d6d158b0cdd8c45d8d79dbc2977291d7e3342c7f53da3adcb227708ae8f3161413381d971dddf63b941a32b94133a6cd4c661d7b76863a5d3162db0495fdceaa SHA512 762a1b2c0e8c06f60e01fd9045abc4255999039a97e86145bdbe8ea7727d2bbfd3defd6c6e932a726f0efe001cb0364d1640f2a808c531ff57ec66d8740d9d13
MISC metadata.xml 538 BLAKE2B bf0b8ab3a89ce9ab1d2159f4c0ebfe3f2646aced20bd2006485510c12d22e83cc130fac979f699ae6431a610c8d2acf86c04b39bc262abaf167c20571a860810 SHA512 30d004d944055660165954f8475e57ba45cef56423c80a324118836d78e5376261409955155a40c9bd988f230f3e2fc44c6aeb6fae3028c78c55a382ccd83bff
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.104.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.104.0.ebuild
new file mode 100644
index 000000000000..0194f9640998
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.104.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 73624379a0d2..dd6cd00deb7e 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -2,8 +2,10 @@ DIST griffe-0.36.2.gh.tar.gz 188707 BLAKE2B b444dcbb38ab39715f975a17f502cf331bb3
DIST griffe-0.36.4.gh.tar.gz 192823 BLAKE2B 42815673835bffebf97ab3bd436997329229596d24f4cd6fcd0b57f137b113bd42461cf9b8a33472ef6887dc7efdb4d88f31b6f503abb365f101311ff89fb5f3 SHA512 76d672f91643d347d15e97eb29bd1cdb24f843d396777287d5f5c28259f4f25dc7a89d53a83189e84572fcbed5201144d2b15f1bbc0864799c7703ce90b1cc7a
DIST griffe-0.36.5.gh.tar.gz 193265 BLAKE2B f8727c42b0a5527fcc5d8fafcf1e16e3b4cae516db5f3a5ba790c068e5d1520c50a8cd467d40d12bce9d4793d94aabb67148ff79c81f58fcc5711e1e4c9345ce SHA512 e1ed6c2ece246b1583a18df30151186a605e02d4ad19748c9c4ccd6bf2e47fa493d2cf4b37ca5fa3f91c4c3c3927b034f92a344a9f9601b516673ccf3e7906f1
DIST griffe-0.36.6.gh.tar.gz 193375 BLAKE2B 12760d8892226162536afa15a7bba2076ddc22f606272d71ece261ae0b2b5306fdde2cfe3e163607da63f80d52414e46f16f40058716382bff0eab431c8c2c9b SHA512 627524403a0d5157bb0c5287e629e7e489ed624a29d25d4d32f0bbb607391249efabe7c0793ef2ef590a79f2dc0ac52d86ab110d99c4fac4c70af26ec81da020
+DIST griffe-0.36.7.gh.tar.gz 193857 BLAKE2B 5208cf313c8137441bb256c06093383fa259952d0978bd1e2658920c55703eb4d576a01888f746705e9d82d1d328bd5f1e49cc0d8f4fc83836080d6356241348 SHA512 e3bffd19925db7113bbcd5339cedccb444ed682d07b7d03941525c373b1ab34074ae11279b17429c9ce6f411b5be985ce88ad8408099a569dd9f7b5b85e74fd2
EBUILD griffe-0.36.2.ebuild 958 BLAKE2B 10c44ac7ea571eac3359a86c6f614a0281c08af4600e92757877ffe96cdd38f1080f5677143487429b436e913399b26d02917961a9d300f9cd97446b7e8ca15f SHA512 03f908068ab85bff169f4e2dff0a3750cb78f9ad9837a706cd8acb6c6a72d4cf57ecc35de39367320c8cf4b816f0abbba043ce457919985cdfc10acb3d536756
EBUILD griffe-0.36.4.ebuild 958 BLAKE2B 10c44ac7ea571eac3359a86c6f614a0281c08af4600e92757877ffe96cdd38f1080f5677143487429b436e913399b26d02917961a9d300f9cd97446b7e8ca15f SHA512 03f908068ab85bff169f4e2dff0a3750cb78f9ad9837a706cd8acb6c6a72d4cf57ecc35de39367320c8cf4b816f0abbba043ce457919985cdfc10acb3d536756
EBUILD griffe-0.36.5.ebuild 958 BLAKE2B 10c44ac7ea571eac3359a86c6f614a0281c08af4600e92757877ffe96cdd38f1080f5677143487429b436e913399b26d02917961a9d300f9cd97446b7e8ca15f SHA512 03f908068ab85bff169f4e2dff0a3750cb78f9ad9837a706cd8acb6c6a72d4cf57ecc35de39367320c8cf4b816f0abbba043ce457919985cdfc10acb3d536756
EBUILD griffe-0.36.6.ebuild 958 BLAKE2B 10c44ac7ea571eac3359a86c6f614a0281c08af4600e92757877ffe96cdd38f1080f5677143487429b436e913399b26d02917961a9d300f9cd97446b7e8ca15f SHA512 03f908068ab85bff169f4e2dff0a3750cb78f9ad9837a706cd8acb6c6a72d4cf57ecc35de39367320c8cf4b816f0abbba043ce457919985cdfc10acb3d536756
+EBUILD griffe-0.36.7.ebuild 958 BLAKE2B 10c44ac7ea571eac3359a86c6f614a0281c08af4600e92757877ffe96cdd38f1080f5677143487429b436e913399b26d02917961a9d300f9cd97446b7e8ca15f SHA512 03f908068ab85bff169f4e2dff0a3750cb78f9ad9837a706cd8acb6c6a72d4cf57ecc35de39367320c8cf4b816f0abbba043ce457919985cdfc10acb3d536756
MISC metadata.xml 398 BLAKE2B eb35dbbdd7d3482404991416d9e06e3e87f88a96cc91d481b5a2f53eb732172116b4cfefa1a65f9ba8db44e2b10ed0fd6e4031b7d17382e9e931d1a2eedb322e SHA512 833aac5d52c2584143d67b7ad325e9538cee17d454410b3c4708ad9b47f58d3b2c0875d735b149603bb36ae124d24343b2e456a6db5e5f806da2e13f32c108cc
diff --git a/dev-python/griffe/griffe-0.36.7.ebuild b/dev-python/griffe/griffe-0.36.7.ebuild
new file mode 100644
index 000000000000..c8d57610c9ff
--- /dev/null
+++ b/dev-python/griffe/griffe-0.36.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 854680322479..da7b241ac0d5 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -8,6 +8,8 @@ DIST llvm-project-17.0.1.src.tar.xz 127830376 BLAKE2B bb3b9f7358df9006307f5eeccf
DIST llvm-project-17.0.1.src.tar.xz.sig 438 BLAKE2B 3182e3c3a48635fdec39b945ee3b782d7c9c2a07911d9ede2e3421031bb1b4959bd495c5e39d094aeaf555579b9fe3eb834c1449077c154c629f5db605375e7c SHA512 301a6e6c46d6fee13c86dec1a021c35f6bf3a97e5d6b0aa7b7eac34e7ca52f6cefffc25a9e376250b1eb721a65a5852f2f1948abd432698363a81dd7ee19d81c
DIST llvm-project-17.0.2.src.tar.xz 127833708 BLAKE2B fa9e2e48ce1117063f5cef0aeef85ce84b99bd8fae23022572a6f016eff2ffbf8aab6250b0bdb6e0bbea1c4daf10cecceb18e80496260b5aa81086075d503e12 SHA512 4586224c3f547e8065fa4f0ca3629a1dfed868dfc372ab192d8b9384f0f74dc8cb27dcb6269dc4230202e6a524aae852d98b40fa02ed0393086a162387ea7659
DIST llvm-project-17.0.2.src.tar.xz.sig 438 BLAKE2B 3ba5d7a09e9de3f38a6f7b5b771b08b1c4e96ea7eda948cfa679598d240fa5211fd37220fbe09e37682212b17fb71b8b5539475edb8ff46d9767054983f670cb SHA512 234276813e3f4b5ee9b1dc640a613fd2e60f1d659f4e089733278d08dd0e208ad37d4d64c9e1edd420b6b87e112458ecec5f76ed9a243c3023b0adbab19ab909
+DIST llvm-project-17.0.3.src.tar.xz 127843636 BLAKE2B 5331d9b545faab282a4caec9ee688d0f1e0615a56a26aa24d8f6fbbae10258e132d94634dab2f7bd69ada06bb28dc899730b9cd774a1086d7c03d5706de6d997 SHA512 44f37dea494a66a83c252e28d7d0517c3b2eed5b196565432dc663c7914bd66d665c8d13479e2776a14cac1905faf6972f986176722c053b58528570a6e68316
+DIST llvm-project-17.0.3.src.tar.xz.sig 438 BLAKE2B 045e7ca82c8d9b3f182e4fa331ec841b24777ac1888f10de435a389ae3a88172e0559a3fca0c2d37cc874464411ae50d7bc0d0829455149a8de8b953ef6c98c7 SHA512 95f9e6729074cfd71b0ffb21e423cd0fd87763268c24e0513f7afd6a85d08061658c44c03ea3ea3b6e3cc7051676d44c41a791e6905c8abb456d48a3762fc152
DIST llvm-project-39fec5457c0925bd39f67f63fe17391584e08258.tar.gz 198361956 BLAKE2B 001b9d9b7997762dcce4f0b1deb94d41c3d840c178ba1e92208782e7e21fdc0041cde359051b2b1b1fc75526ff6504d3b9375ff873831350de359530c944a961 SHA512 b560e71c9855aff9fb5385f9fb30f63fbef074fd695e7cb31847192837a161bfe4808ceb09c514a676ae817616f15fb5a57d325aa9744eaac46b8f4b20b77a13
DIST llvm-project-5d35273a32d239b7407338e13ed71b59174d6536.tar.gz 198787569 BLAKE2B 7f4f1eb490028e18826a6ebade649a682e433252ceab1f3dcd9e50c34f24e7ef108c3325ec209a4d4fa1ded8e09ebda4980cb9d8ddce8a0d517923d6c38b8f4a SHA512 4d263561fb12cc07a5e8f7ed2f8f22a3645aa959cf963a6a735a9bb93cfc2a51bf7e4d36b54e8425725029cfcfd868dfcc53af95d26d84be72be124d8c564271
DIST llvm-project-f5cb9cb59d7c9c6ac3d5c41c677f68c9b75d34a3.tar.gz 198113948 BLAKE2B 1688920eb790421f4143e92bd7bd26794a2497e7b445dde6d55b59c9df4b1aebb848833c7cb1b7c273c5e002763f2531a341313500ce207242f992dfe343b988 SHA512 9817e8b7adf7c69d673124e8334c3e511dfd1cc386832c52b2fb0f2517475d29cd98513ad87188a962f9697dfac39ea03f5b2db6c549c307cf3d27b1370ffdf3
@@ -17,6 +19,7 @@ EBUILD lit-16.0.6.ebuild 921 BLAKE2B dcfe57279dff5c6d80fdf5fc115c76c8ae5af3c8c7f
EBUILD lit-17.0.1.ebuild 928 BLAKE2B 6863064ab7c06430d5c0267e0216537c86cd8df0e97297741284b7036e1eb41954fcfe3472e070425f67e258ae6fcaa480c2211614305bc65250c99e55ff43a7 SHA512 554c99f3e226b17c996be473c507ac166371d7c40ec55f543c559982589d057c2ddfaf0be366ace2f256571df001e889c57f0ebdc66bf4d96c6bde9ef14ca725
EBUILD lit-17.0.2.ebuild 928 BLAKE2B 6863064ab7c06430d5c0267e0216537c86cd8df0e97297741284b7036e1eb41954fcfe3472e070425f67e258ae6fcaa480c2211614305bc65250c99e55ff43a7 SHA512 554c99f3e226b17c996be473c507ac166371d7c40ec55f543c559982589d057c2ddfaf0be366ace2f256571df001e889c57f0ebdc66bf4d96c6bde9ef14ca725
EBUILD lit-17.0.3.9999.ebuild 872 BLAKE2B 9b327b6c517b40793c67fe91d5210862709bc34c193c0a43feced53083e4a400e550671250cc4538bc7d82a9b4e8d6ca4319491520838914056e0c0501a96c87 SHA512 a0bda5a79a6cddbe4d81ad2bf2e317dba0470cd731b427a6b342617b92c32f94bb5784dbd4c4a67cc6d3c30b28a76b7e805d92b277d320b88f366b5a4c9004ea
+EBUILD lit-17.0.3.ebuild 928 BLAKE2B 6863064ab7c06430d5c0267e0216537c86cd8df0e97297741284b7036e1eb41954fcfe3472e070425f67e258ae6fcaa480c2211614305bc65250c99e55ff43a7 SHA512 554c99f3e226b17c996be473c507ac166371d7c40ec55f543c559982589d057c2ddfaf0be366ace2f256571df001e889c57f0ebdc66bf4d96c6bde9ef14ca725
EBUILD lit-18.0.0.9999.ebuild 872 BLAKE2B 9b327b6c517b40793c67fe91d5210862709bc34c193c0a43feced53083e4a400e550671250cc4538bc7d82a9b4e8d6ca4319491520838914056e0c0501a96c87 SHA512 a0bda5a79a6cddbe4d81ad2bf2e317dba0470cd731b427a6b342617b92c32f94bb5784dbd4c4a67cc6d3c30b28a76b7e805d92b277d320b88f366b5a4c9004ea
EBUILD lit-18.0.0_pre20230925.ebuild 872 BLAKE2B 9b327b6c517b40793c67fe91d5210862709bc34c193c0a43feced53083e4a400e550671250cc4538bc7d82a9b4e8d6ca4319491520838914056e0c0501a96c87 SHA512 a0bda5a79a6cddbe4d81ad2bf2e317dba0470cd731b427a6b342617b92c32f94bb5784dbd4c4a67cc6d3c30b28a76b7e805d92b277d320b88f366b5a4c9004ea
EBUILD lit-18.0.0_pre20231002.ebuild 872 BLAKE2B 9b327b6c517b40793c67fe91d5210862709bc34c193c0a43feced53083e4a400e550671250cc4538bc7d82a9b4e8d6ca4319491520838914056e0c0501a96c87 SHA512 a0bda5a79a6cddbe4d81ad2bf2e317dba0470cd731b427a6b342617b92c32f94bb5784dbd4c4a67cc6d3c30b28a76b7e805d92b277d320b88f366b5a4c9004ea
diff --git a/dev-python/lit/lit-17.0.3.ebuild b/dev-python/lit/lit-17.0.3.ebuild
new file mode 100644
index 000000000000..b67497dceb7d
--- /dev/null
+++ b/dev-python/lit/lit-17.0.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/loky/Manifest b/dev-python/loky/Manifest
index 2f34784980d5..a12decd2c2b4 100644
--- a/dev-python/loky/Manifest
+++ b/dev-python/loky/Manifest
@@ -1,3 +1,3 @@
DIST loky-3.4.1.gh.tar.gz 143933 BLAKE2B b55dc9fe431769de6bc7f8d9854c40a361566d9c0325c7037255c5ce2b9875ff071743892ec5db53be7744955558195eb40fc5467917eeba3d533c68f285a1ec SHA512 435dc24a0532e6a40a67613fd1e13a06439ffe00c28b90fa36ff02255b67e0dd99d515f5659a36aa1049a9df73b16c1088989a1379a8492ebc5dbf1e53a37a06
-EBUILD loky-3.4.1.ebuild 1176 BLAKE2B 9eed0eecdae5794f73c66afe658fe547c96a9b8deb0feb19ade3e98ac6599911e2eb6eb7cc966e69105c98c90e652e5c7a3cbab1e5cd47fed0b85085145cb476 SHA512 d2cd6713dce03c3be11e0a0516fa895ba6f3cc281841bfd60cd9e5df2446a5c1fb4201a4e7180894692254748ae79aa22009a1b922ef20eb9c85e8ea6dcc38bd
+EBUILD loky-3.4.1.ebuild 1331 BLAKE2B 666dc6a07666f9624c555ed2cc40d42519eb5d7ed2846c952cbd2762fa6206378b23db0ae12ea0b5a69d484bad49763b34d99fee7aefef95d1d015f8a5a63885 SHA512 4726b00de7c95bf922dff98a8faccebeb9064904f53893b84566336549f9b2c068afbe83847f98ee8f68567104ab7130e47b65d4a731d13f04f9b3d92551c1c3
MISC metadata.xml 383 BLAKE2B 9d990e2f5b4fbf959925d9d7c1f03ecb3acddcc8564c9362f14741d531d79f3e4c6d98a8c84695d8b1f761fa11a80e768b8e8b48ff8be314732d7f574d767223 SHA512 89d9a1f5c253bf99992d16b974d81175d1ae0d17649ffe1a485430735bec38f45e8e1a35c9ba2d99cb1610db3b200adb5af847b2a161c348e29f0cfa89f8076f
diff --git a/dev-python/loky/loky-3.4.1.ebuild b/dev-python/loky/loky-3.4.1.ebuild
index 8503470eaf5a..456f7062da8e 100644
--- a/dev-python/loky/loky-3.4.1.ebuild
+++ b/dev-python/loky/loky-3.4.1.ebuild
@@ -6,7 +6,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )
-inherit distutils-r1
+inherit distutils-r1 multiprocessing
DESCRIPTION="Robust and reusable Executor for joblib"
HOMEPAGE="
@@ -30,6 +30,7 @@ BDEPEND="
test? (
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
@@ -44,6 +45,8 @@ python_test() {
tests/test_reusable_executor.py::TestResizeExecutor::test_reusable_executor_resize
)
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
# high memory test needs a lot of memory + is broken on 32-bit platforms
- epytest --skip-high-memory
+ epytest --skip-high-memory \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
}
diff --git a/dev-python/markdown-exec/Manifest b/dev-python/markdown-exec/Manifest
index dc1d92489a3d..c0480920a056 100644
--- a/dev-python/markdown-exec/Manifest
+++ b/dev-python/markdown-exec/Manifest
@@ -1,3 +1,5 @@
DIST markdown_exec-1.6.0.tar.gz 18880 BLAKE2B 374f62c112efcf7f02c6b55f1348a3b38ad574240ca2e0af88af52343eb8cd2c0001d3b3dbe629e8917c40a602311e389683abd374e4ce62209bc051ea722389 SHA512 d05d3ede2f0280e8406b7cde7e555f2a1f796101c2cd336883b0e045837767a90fa6beb4ff624fa9029343bd2c3628219f387f438fcdbb661d91219134bf312c
+DIST markdown_exec-1.7.0.tar.gz 20221 BLAKE2B 5b091b5569caea247e268208a93fbc2bd9f57b76361e549eba6572684a1dcae420471c8cf2fd9be9e63f6a1a29e698ad5ac01491f58b07ec37b18d651c7ddff4 SHA512 67ff69a5be5e69496cdc8d29cd259cff99c641717f2e63199c3a245c03cac805be557d2f1559cfa218a4a7520fb851b310adba180889e2c515a42bbc161e002b
EBUILD markdown-exec-1.6.0.ebuild 648 BLAKE2B 480ad2817b0c1703fe5bea1fa5e499cbc4be66aa9059e1b993a43e0ac163d3ac448da164a261a442d2cd5745a4667c9fd4a6743ef6cc6f39eafc188bc2ea66dd SHA512 dcb3f37318c88e2f5e2a9b19374f97b13b8ea06c9e8a27408b8443d89e1d0a9bab43393a5d127a3c2f272fbba6656cea643038e7c49ad4c19b3a76e0d15e5b47
+EBUILD markdown-exec-1.7.0.ebuild 657 BLAKE2B 9bac014496c52a4d4580925340a503ccbe0e70ee2ec1fe28de54b0817652d0e85afb30b02f7ec1d519af4cb109f1929c36fd1751472dee910bc2cfe77a4d7331 SHA512 25f4d6da009b98e334070c839f4be237be285769abcb685428ddd1cd5963adb48f9a4cc84aba7fc42c0f71fcd5ff979fc4227c403268908276393b3a03115cba
MISC metadata.xml 511 BLAKE2B 17b4fe1be6ad1f4316e3667b611c3362ca8e64760a86cf073fa9550f2300729aa7ca546b4b7c8d2d7ada839c1d7bf2dec9616311f4c949a7dcd991b3722ce8e2 SHA512 cc42c97aa2afa7bad46220aab2c4e3c237fe2f32f9fbad6c7663551f80918729ffec433bb5e3c82c2156907f3406af615b01572aa02f78dcede4cc9520a38595
diff --git a/dev-python/markdown-exec/markdown-exec-1.7.0.ebuild b/dev-python/markdown-exec/markdown-exec-1.7.0.ebuild
new file mode 100644
index 000000000000..cc61bb807537
--- /dev/null
+++ b/dev-python/markdown-exec/markdown-exec-1.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Utilities to execute code blocks in Markdown files"
+HOMEPAGE="
+ https://pawamoy.github.io/markdown-exec/
+ https://pypi.org/project/markdown-exec/
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+IUSE="ansi"
+
+RDEPEND="
+ >=dev-python/pymdown-extensions-9[${PYTHON_USEDEP}]
+ ansi? (
+ dev-python/pygments-ansi-color[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mkdocs-material-extensions/Manifest b/dev-python/mkdocs-material-extensions/Manifest
index bd8b96fc90cc..bc622d78b967 100644
--- a/dev-python/mkdocs-material-extensions/Manifest
+++ b/dev-python/mkdocs-material-extensions/Manifest
@@ -1,3 +1,5 @@
DIST mkdocs-material-extensions-1.2.gh.tar.gz 11971 BLAKE2B eeaf2743c0431a27dc51ad3e00075e5fefec7429ef909d22c95e87cf6333256eec8a6cff16a646c846c0ccdf4414df73ef87d67542d2817d6d49295b4df9066a SHA512 b97deabb35c817b6c1001a3595662abebe78a8e6053887c073af004cd1382320c1a3cad9032de4664615124d493a113d4bc455fe9d945df0bf4857d299b6cc86
+DIST mkdocs-material-extensions-1.3.gh.tar.gz 12636 BLAKE2B a92472351bf7ac215df66ff06b0d5248302888a2baca1e664433a329351d7dff5bdda4121d23f1a91204357dd301ba0ca8b40a9c572f339201e4d0659851e2cf SHA512 145fe425e051882105d8e99e71b3989ad6a965a8cf8335c823807bc71e1d19cee847e9c4cf8408549aa3d2d1385724f272ff2a14f8f95945589c9e1d5acd1ed2
EBUILD mkdocs-material-extensions-1.2.ebuild 715 BLAKE2B 4ef480dc07ba5977eb0cfc2f4444cd0966ae9fd8eb2a2bb69bde036c9c18e12ccf077005493bf90acaa50d3c66fae540a566747c9854affd0484c2c656c9cab2 SHA512 23d8facd4e7f55665814ead06b41b41a17dcf81f1365de4351763964398af1c41a51861d59adb38767ca4b051eec5456a47391d428bd49b2ffbf1595eb5d1fb2
+EBUILD mkdocs-material-extensions-1.3.ebuild 717 BLAKE2B d05e8d23fbb0207c0edc908a21d4108909fa9433a72d2f5afad797cb9caef06f67d80036e6ba060ce1c9707c7de26f4098bc7399364aa302e47d0b45beb5f0f9 SHA512 7d0867654aadabbffdbc418ae4ec1c818632a782bfb9a7c0e0dc8bf086d549d3f0524eeb1e6fb00c454dee68913d87e9eddb938d59cd6f471f3d2183ca8a0ead
MISC metadata.xml 451 BLAKE2B 3deb46d9e68b98525a9d7d31d2ccc0cf3c142d2988dd01636f037bec1b0ebfb07bd675c402fba89f6c7d171444e693b1c070eaee27c9a0ce94d48a1edd73b58e SHA512 add6b4dc2b6a8032aa3edf9ad22f02edaebf4cfae392c2920db40c201adedb20e6f085de59f2224a3fa037060c7cdb3dc238d3174a97f95aa35bc3bc8618f3da
diff --git a/dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.3.ebuild b/dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.3.ebuild
new file mode 100644
index 000000000000..6be1981c1a7a
--- /dev/null
+++ b/dev-python/mkdocs-material-extensions/mkdocs-material-extensions-1.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension pack for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/mkdocs-material-extensions/
+ https://pypi.org/project/mkdocs-material-extensions/
+"
+SRC_URI="
+ https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-material-5.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 063b0dc8247f..241f2d87c5ce 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,5 +1,7 @@
DIST notebook-7.0.4.tar.gz 3928907 BLAKE2B edd498636d35f348f520915d43686243a3ff4b2f8ad4984bc05766403a3bffcd699e1ba691b672ad3ab8f08983920f62a1c5b0308a94e4a7366eb30e049f5d43 SHA512 e174fcbb93fcaf67c086b2160d7875457681222e21c23efbf35d4c7503e528df3b368b4d122eebf199a86ea155cf3e6b7b15036587bb9b4260a8d22e7e4a9f0b
DIST notebook-7.0.5.tar.gz 3929774 BLAKE2B 8e52bb73c29fb73b57a733f41c71392d08547df95f16bd1571e321c888a6399127b398214b333ec4fa713ce751b918c974486b5d2ba7d4d045ff43722e68b552 SHA512 3abc4fe2c017b1dc05f549a0397487cdfe66f40cd29e26b540942424b721ce985cf6e4196faa16f857ead5a1820dfcf4a2a92db3bb79553e8f288ceae042de79
+DIST notebook-7.0.6.tar.gz 3930144 BLAKE2B 488689b34b61c37f2233d57d6ef75b3bf843e2340846e88593a6b49d88fc52f908126d2e718808451df1f8cc6f9a5624adef47c1ae4984cd2ff5ed535d47cb37 SHA512 9f9ac4fae93af425a442c25c8a601578a76c802cc50018a6ff6ef99fbabfe3fb649094625dbdda2b7c526cb7262d2c463745b006d35cc1834d40712f3820895b
EBUILD notebook-7.0.4.ebuild 1535 BLAKE2B 497ba08d83e4760c98e0eeb012b83909e35a80bc981b9393f9e423a1ae716a32baf1072a942f06cbcb06eb778ee20c1802b01a8bb83734cc723b3d6b5b35f0ca SHA512 fd1f9ec87f09d19f472b303b6069becd807c413ecb65b88a050b76a38195f63dc0f539a2e4018e43ef09d0bfc068b78eb1ca27dacfb4f0155a7113277ffa1be1
EBUILD notebook-7.0.5.ebuild 1540 BLAKE2B 084e37e42785c193087a0c5310f3184a865af324ce7c17546b2a811a92f09b2405852b3167453e1667911618725c03b044cbb5a215380b3b398fc7f9b8dc54c2 SHA512 38f0be16910612f9cea575a43e35fa705a2daf52a386a5b0fbbeddec53d550d8b4ca629e0da413ab7521dfb5f306054bd3528bf06ce40fc82a8894f7db67c3fd
+EBUILD notebook-7.0.6.ebuild 1540 BLAKE2B 084e37e42785c193087a0c5310f3184a865af324ce7c17546b2a811a92f09b2405852b3167453e1667911618725c03b044cbb5a215380b3b398fc7f9b8dc54c2 SHA512 38f0be16910612f9cea575a43e35fa705a2daf52a386a5b0fbbeddec53d550d8b4ca629e0da413ab7521dfb5f306054bd3528bf06ce40fc82a8894f7db67c3fd
MISC metadata.xml 525 BLAKE2B 03602bbd7c6b55aaa4c4d6011a91127090359079ed2d7e6b9e3cefe63b2b249b36cd172a40d1ce69234de2440d9248e933dd94a636b95c07f06a658ecb929227 SHA512 18f6bd5cb4b1c90cc228a5ee506cea17c4aa9d60174e00c7cb4df654d5d7158aa20ea6346bf9a0734877402a0e0916aa7f9e82f0bdce0cca78c877c5e87550e3
diff --git a/dev-python/notebook/notebook-7.0.6.ebuild b/dev-python/notebook/notebook-7.0.6.ebuild
new file mode 100644
index 000000000000..991606132cdb
--- /dev/null
+++ b/dev-python/notebook/notebook-7.0.6.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.0.2[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-5[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index ed416657e02e..f62c1423c717 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,5 +1,7 @@
DIST python-phonenumbers-8.13.21.gh.tar.gz 4916054 BLAKE2B 0086fe789f427140cf8178c4988b9928f4d7e361be9d270d0788470dcc17bde6797dec1e3fd05116a93383034d895c9d0f0c7a3254e55c4c9afca5e10714f2c2 SHA512 9b3d80dc2cc864612d86ecf40488fff802f9a9ac4899cb70429515510bdeb728d846ecd0afd0dc284099d8a4b7f3c81a5fd94081cbb691f4aa6d4d9c85aa4319
DIST python-phonenumbers-8.13.22.gh.tar.gz 4915808 BLAKE2B 78a9ad733d2c2d223264c3559a7cabbc94a3b49061a0b7b944d104d774edf91733677a5bc58040e618de52d41320bc2602a532eaa679f29adff38ad4f3d17426 SHA512 1554a0da082b261a50b3cb0cb6773c8815291664e3c7777e3ebce7fb7293d1cd41f03400a86198bf28e31716fb346a1f79a4d84e7371d21eebb3b5a64307f67a
+DIST python-phonenumbers-8.13.23.gh.tar.gz 4916269 BLAKE2B 5f7c14011abc78acdd9d7600ce1c50d2f79fca7f829ac8292a4284e62c14a5f8a1acdb7a9f8d66726065089145d2c22f732e6aa0a5349b4c64344e1de8da70fa SHA512 1ca346c9fd6ecd0bd8ae91c85a6be3d7fe7c0bc62f5677dd929e85563230847a8a6752679c3a2cbcce246f464b6422b71f78b3cfae1b454d95b9e41d6f384dcf
EBUILD phonenumbers-8.13.21.ebuild 809 BLAKE2B 7d5eda23340750184896e1d83c57cccf9958dfb8f7ecf008d8214c59756307de493f1d156e34c2594f926647ce7eef356bae498e43023b380f0c482437b95578 SHA512 1f06998ce4b5fbf273ed7c515c142057177b8be252662cc5853536680027d699844bf45504ff63201afebdce6e6f1226f072d91bca36d1af746d58a7b6f33456
EBUILD phonenumbers-8.13.22.ebuild 811 BLAKE2B 5565540aeb0793c6e8bd66ca10f4f10e154eb26917e9d41992c22bed9bcafcd49d9bbffb3bd419e93b4beb08da6b5a210e20a28de618a1c6f372001afe21497c SHA512 224903a1247c28021a9e5c44a1d0651950b8860e1563d1a413a3791462643e174608569d0c6cfd4d73c1b3084d73aed4ba2565ad3e016e8c1816419dfd9826a7
+EBUILD phonenumbers-8.13.23.ebuild 811 BLAKE2B 5565540aeb0793c6e8bd66ca10f4f10e154eb26917e9d41992c22bed9bcafcd49d9bbffb3bd419e93b4beb08da6b5a210e20a28de618a1c6f372001afe21497c SHA512 224903a1247c28021a9e5c44a1d0651950b8860e1563d1a413a3791462643e174608569d0c6cfd4d73c1b3084d73aed4ba2565ad3e016e8c1816419dfd9826a7
MISC metadata.xml 413 BLAKE2B 4fa9965e76205ab35de37314b8c06fae26ccf34a944401e672487d7ad42b0046b4de85c8dd4c500d2703b5ecca49755b3f6d9047a20d7226fdbdf63e0aca3220 SHA512 de88d4162ba8f97748a1d2a17a8bea48f59b84f67c76aec11a9bad8ab0d0b66bc9cc2395dfff446bbad591f52f755a38ccd0daf2480b4f2e22e80ce5d44a42c1
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.23.ebuild b/dev-python/phonenumbers/phonenumbers-8.13.23.ebuild
new file mode 100644
index 000000000000..e686a889cbea
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.23.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index 5e9a6567343a..98365edb9fb1 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1,3 +1,6 @@
+AUX pycairo-1.25.0-init.patch 1409 BLAKE2B 3d72e812e8f5fd25afbf210520bb0f4eabe3bc10e7363336d5ac02fc06527ba42a507012d7e9f29bd1ba978d25bdd14ced6f9e45afd04b66618ef1026b826e49 SHA512 e6f9c25f1959e91016b629fe2cdd8f993165c95664652ba9716965a158a938d556a3f69c0e1c7ad129589bd0c1b9d45fc8a70398d6c474039766d9b2e95f6f48
DIST pycairo-1.24.0.tar.gz 344850 BLAKE2B f1469254ccfcb96ee5e39af49fcae575717e2f0e9a3dc74a13408306b5c94f4557a9c6d6a448541cb1f6dd27781e484b37d5ea9f230dc87f9d3370fac31dfdba SHA512 bbc160bc9c3c9365018c680f6a69347bc222cdaec10ea48d18aedd0341048df74973d3299d783662adf02b414874824660da10943d88f64c30451d3fdccc63fb
+DIST pycairo-1.25.0.tar.gz 347794 BLAKE2B d05c1f505059c181d176b533ff4753e90888189160b1904531da4d9e9b784976442acb8c848be48d23e04f1fd07fef88a05b374c833ecee1c0b0e2881dadd4d0 SHA512 f34df509d36fbc739e8ddb40e2ead473db6970eacb7a2b0ccad8b82fd41a5daa25c89a5d34e7f2b2b70c4bf74e4e9d87465414aa414280e0aa7a4787b05712da
EBUILD pycairo-1.24.0.ebuild 1236 BLAKE2B aea95e9f30aaed453d16742bb76d65d14d4f096b072ac52ec17fb74e9abefed183a633dae265ce34e018f5c0f1fb96d6732c5f9ee75003ebd8e0cd13cd72e21b SHA512 fa792fc7a89962c9e0ccbfeabd0845838be04de7e46ee0a2601de8cd36bc8eb77fa0652f1cbb2255f66333db128cebe212cafe202a0861a444c4fdf76641e397
+EBUILD pycairo-1.25.0.ebuild 1583 BLAKE2B 47a86d883d8e8d335314a1a401e4cceee9162acb160c6b9686f8339df2fe58a1ad8ba1c7f050278f59e0bc8cfa46ed48244cbf3ee428a52d711c80f1d6db1aa3 SHA512 1559816a9d88ebb092882e33ba05aed2a9d2cbf0c403239607ed97ea90bd8ff1aa7980bb47ba77c9fe366de73dc6b1989f439c09f3b8534dec0c060c0f3fe2c4
MISC metadata.xml 368 BLAKE2B 5e0f85e23bc56113927d28072c7178d27fc058b1e90851150c55e9e713edb96dd5daa79df8423f6719032538c9448d8afa9b750961bd82a5bcfae2d5e228c6b6 SHA512 c1e81ed2f535c8050f18950a57b71aa871b965c57d1e5ca8e8a4c48ecd643bc9ec326e046c1aea9f3f41124b9fe765a0b9b46a541c28f325cae7038cea66d086
diff --git a/dev-python/pycairo/files/pycairo-1.25.0-init.patch b/dev-python/pycairo/files/pycairo-1.25.0-init.patch
new file mode 100644
index 000000000000..cc670618a261
--- /dev/null
+++ b/dev-python/pycairo/files/pycairo-1.25.0-init.patch
@@ -0,0 +1,43 @@
+From 1ef1ea2f0ba3854309114a2395734c34a1e158d8 Mon Sep 17 00:00:00 2001
+From: Tycho Andersen <tycho@tycho.pizza>
+Date: Mon, 16 Oct 2023 20:01:52 -0600
+Subject: [PATCH] module: reorder cairo script surface initialization
+
+PyType_Ready() expects subclasses to be initialized after base classes.
+Since ScriptSurface inherits from Surface, Surface must be initialized
+first.
+
+This causes a segfault in pypy3.10, and the fix was suggested here:
+
+https://foss.heptapod.net/pypy/pypy/-/issues/4017#note_332375
+
+This fixes the seg fault for me.
+
+Signed-off-by: Tycho Andersen <tycho@tycho.pizza>
+---
+ cairo/cairomodule.c | 5 +++--
+ 1 file changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/cairo/cairomodule.c b/cairo/cairomodule.c
+index 0026a0e..f27330f 100644
+--- a/cairo/cairomodule.c
++++ b/cairo/cairomodule.c
+@@ -210,6 +210,9 @@ PYCAIRO_MODINIT_FUNC PyInit__cairo(void)
+ if (PyType_Ready(&PycairoTextExtents_Type) < 0)
+ return NULL;
+
++ if (PyType_Ready(&PycairoSurface_Type) < 0)
++ return NULL;
++
+ #ifdef CAIRO_HAS_SCRIPT_SURFACE
+ if (PyType_Ready(&PycairoScriptDevice_Type) < 0)
+ return NULL;
+@@ -223,8 +226,6 @@ PYCAIRO_MODINIT_FUNC PyInit__cairo(void)
+ if (PyType_Ready(&PycairoScaledFont_Type) < 0)
+ return NULL;
+
+- if (PyType_Ready(&PycairoSurface_Type) < 0)
+- return NULL;
+ #ifdef CAIRO_HAS_IMAGE_SURFACE
+ if (PyType_Ready(&PycairoImageSurface_Type) < 0)
+ return NULL;
diff --git a/dev-python/pycairo/pycairo-1.25.0.ebuild b/dev-python/pycairo/pycairo-1.25.0.ebuild
new file mode 100644
index 000000000000..855fe827c15a
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.25.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="
+ https://www.cairographics.org/pycairo/
+ https://github.com/pygobject/pycairo/
+ https://pypi.org/project/pycairo/
+"
+SRC_URI="
+ https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz
+"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples"
+
+BDEPEND="
+ virtual/pkgconfig
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=x11-libs/cairo-1.15.10[svg(+)]
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/${P}-init.patch"
+)
+
+python_test() {
+ esetup.py build_tests
+ epytest
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # we need to pass --root via install command, sigh
+ cat > "${T}/distutils-extra.cfg" <<-EOF || die
+ [install]
+ root = ${ED}
+ EOF
+ local -x DIST_EXTRA_CONFIG=${T}/distutils-extra.cfg
+ esetup.py \
+ install_pkgconfig --pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+
+ insinto /usr/include/pycairo
+ newins cairo/pycairo.h py3cairo.h
+}
diff --git a/dev-python/pydevd/Manifest b/dev-python/pydevd/Manifest
index 99dfc8655fc7..60b516bacb70 100644
--- a/dev-python/pydevd/Manifest
+++ b/dev-python/pydevd/Manifest
@@ -1,5 +1,5 @@
DIST PyDev.Debugger-pydev_debugger_2_10_0.gh.tar.gz 4019265 BLAKE2B e72c96576588ac3cbfcdd71a1a8e96d41b9d6757b3468c372b45a9c91a887c693f7309467fe8ea27d29c4775cc8df9ebd610b015cecabaaea43c8aa75229bc25 SHA512 a475e4f4cd9f883307d30b0bb2ebd5095de426b52f0f70b1a557095c06241149ad105ca4cbb31d311fa54e4387bbed27e5cf2712ba7447b19720d46dac21a101
DIST pydevd-2.9.5.gh.tar.gz 3982897 BLAKE2B 06f0712301b419c472bcef2443a2ed277eb477041ff2e40e41b57f61649d84a7559dcae82c30ac572b14e90b98c2b9b9542c7360deded087eec92aeb0372ad67 SHA512 9aa38bc9a238e6f2956883a6318536382726013ea9e4a9d902b36d60df0cf924c279545bcdf92afdb435bfe36598982edd5805725860798fb3970b105254ba1d
-EBUILD pydevd-2.10.0.ebuild 3438 BLAKE2B ed1434d99e4135b30f23200e1958cbeea181a3bb4207a5d5b2bcb66dabc2d0e130a722ee6838a8303f85c9c4c51d8ead526b70d3a555b1c5c34d2216281bd534 SHA512 a5f11cdb7be849db8622a9f31014adfe63bffebb4510783f3f11c38ffb94e69157135f99e8bb55b3873ced215a00d69c9e7a1cff4fd815ad4e9ec00414ff2bbf
+EBUILD pydevd-2.10.0.ebuild 3482 BLAKE2B 2abba07dec32ad90ae3eb84c52452b7fdcab51db5c3516f3b4e5b7e0bb295468617562adefa0c38143547bfc648ed1a17fb1f4392576e41c25127133bdb46bf0 SHA512 963a04f1f8a098def67ed6011c6701c1c99d06ffb27797beb8b3ed6cd2f111840452d0e207425116fcd0a29833cd4dbedcf69683230713270fb60ef19e58a1d6
EBUILD pydevd-2.9.5.ebuild 2486 BLAKE2B 9cd5204a2d55d776fdd7aa76d25ae3a80389030ee7ba2afcae7744f97a193cb061854430d6c2c245c5e17bbf9af6ecc32290090bd2223d1c03ee27019ea7dbe3 SHA512 dbaba2eff4f733601794436640e65381fbf5476da5215436e06db165aaaf96e5e3eda2847e293ab3a163cd54ebf860eb689c2c961d6a20152d9a3598be2633c6
MISC metadata.xml 384 BLAKE2B 37a4caa01a28f98ec8d141129c08754e6ba4dee5910a81c26f3eafcd7ac832962e91d3e39783e4859ac7e5ae5754837c89e496c4c2c205d12626359adf7dddae SHA512 5cf80b2e0eaf21e900c83341e9bef5c74a36d3c0a7354e3b6a832184cc60c42eeef6a22236e4fd9d484dc8834e5d4f98facd2578c223da2cc187dd76f91db764
diff --git a/dev-python/pydevd/pydevd-2.10.0.ebuild b/dev-python/pydevd/pydevd-2.10.0.ebuild
index ea5745003d08..cf8e60163511 100644
--- a/dev-python/pydevd/pydevd-2.10.0.ebuild
+++ b/dev-python/pydevd/pydevd-2.10.0.ebuild
@@ -34,6 +34,7 @@ BDEPEND="
dev-python/untangle[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/pygame/Manifest b/dev-python/pygame/Manifest
index 9a8181bb65bb..d4b7d1e4c277 100644
--- a/dev-python/pygame/Manifest
+++ b/dev-python/pygame/Manifest
@@ -1,3 +1,6 @@
+AUX pygame-2.5.2-error.patch 3723 BLAKE2B 3a3196e5eb4fa24f7246c05f016d78a94b40d620ec3d60ad48342ffb1d5c6d90e87dcb37d42f9b4987286645c92862377a1eb314bdda86a568fb4700438123c5 SHA512 63495f55322499a80e46c284a4cda52014f071652608dcbe7c45ab164ae5c1c49588da6c8bc7e61fb63852ef2aa3ca9ab22a61431b8ae932d5f811622cc484c1
DIST pygame-2.5.1.gh.tar.gz 6854761 BLAKE2B e137f73a3bb718213ef92e938ed1b065f5568d7dd2ade6edd973bc55d06425874da0e89e3c102fad39adac25f977ac97025a0c59099702cfabeffd0d3b8f109f SHA512 d7aceb2bc6e40c5dc2d7a19fdc7af18abf021b79dd98b859975f99ec10895e1b09e11fbf17fd6ab925d3aa6c64e5b3dd56c0d857ecacc67303d92fc0efb2630c
+DIST pygame-2.5.2.gh.tar.gz 5970857 BLAKE2B 523874926a8fd868f5674ed2997a44decb928fcfe246d551249ed7320a0e908ce46d00f459d187726edf74a4c1038cd56821f6466559fb7d24aa75d16769cbfe SHA512 b54e9b80951c8a9e75666621aafc26874c6dbdab27330146f7217346c76be5627a5464a0102a5968eca0dbd7cced4b2143cd2ff1b6227e3e17e5634854b27f19
EBUILD pygame-2.5.1.ebuild 1926 BLAKE2B f08e24fb19733c2272d19122702b553b7509c852719a6ef852e76a31f3e10756effd36ae709ae0e44a820645471e1f0be0973503237ab05e197dc5a950cf4e22 SHA512 09f4845aaafb9026bf0f8f5dfbee9133b610f1ee0e8f046c1380258ae82cf9d463e221a96739e0110e4f68c44ef624771d0d0db6e7a069d6b5961c588a01b1e1
+EBUILD pygame-2.5.2.ebuild 2226 BLAKE2B 697ad49a3919641abb582503030b0ee4e67bdcc50ca252c657ea5ee6e489a3fd40ba0830da6b7fe6bf108dbf62e34d033c07c8ca4e71f6cdd1d8b124ca0c816e SHA512 599ade460dbf0cf5ca2e1bfe85fd4b284cda55c6beeefaed5e8b088436ea97b7bf64c6eacc1627837d7078714c6a0c5dca7067a2bb5ec3855885b8e500a84eb5
MISC metadata.xml 363 BLAKE2B a942b91aded22ec850a7b075703ce4037af9f0a61155717ac455f7d2b7779cb6f5f953b2ad8d61d7cc5254307951a20dd3edb9853e21d907e1999f7570a6b821 SHA512 15403754c9b13f9b2d8c5e7615ae0ca9359b5079e22eb5a7049424e414ebbdd8a06f6324c31594636324414e35ca34bec977b7dded9f9ea14027497b5097b060
diff --git a/dev-python/pygame/files/pygame-2.5.2-error.patch b/dev-python/pygame/files/pygame-2.5.2-error.patch
new file mode 100644
index 000000000000..9f2800e29e70
--- /dev/null
+++ b/dev-python/pygame/files/pygame-2.5.2-error.patch
@@ -0,0 +1,121 @@
+From bbed8d293483fa7bd7322f5976641dfe86bf6367 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Ren=C3=A9=20Dudfield?= <renesd@gmail.com>
+Date: Sat, 7 Oct 2023 12:05:45 +0200
+Subject: [PATCH 1/2] base: Clean up some error messaging
+
+---
+ src_c/base.c | 5 +++--
+ 1 file changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/src_c/base.c b/src_c/base.c
+index 1f12a63451..d32c17bdc5 100644
+--- a/src_c/base.c
++++ b/src_c/base.c
+@@ -309,11 +309,13 @@ pg_mod_autoquit(const char *modname)
+
+ funcobj = PyObject_GetAttrString(module, "_internal_mod_quit");
+
++ if (PyErr_Occurred())
++ PyErr_Clear();
++
+ /* If we could not load _internal_mod_quit, load quit function */
+ if (!funcobj)
+ funcobj = PyObject_GetAttrString(module, "quit");
+
+- /* Silence errors */
+ if (PyErr_Occurred())
+ PyErr_Clear();
+
+@@ -322,7 +324,6 @@ pg_mod_autoquit(const char *modname)
+ Py_XDECREF(temp);
+ }
+
+- /* Silence errors */
+ if (PyErr_Occurred())
+ PyErr_Clear();
+
+
+From d8fae59ff0f3a02fe159cc302c891177af97a41f Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Ren=C3=A9=20Dudfield?= <renesd@gmail.com>
+Date: Sat, 7 Oct 2023 12:05:58 +0200
+Subject: [PATCH 2/2] pixelcopy: Clean up some error messaging
+
+---
+ src_c/pixelcopy.c | 27 +++++++++++++++++++++++++++
+ 1 file changed, 27 insertions(+)
+
+diff --git a/src_c/pixelcopy.c b/src_c/pixelcopy.c
+index 923072dde8..1d1eaf3267 100644
+--- a/src_c/pixelcopy.c
++++ b/src_c/pixelcopy.c
+@@ -767,6 +767,9 @@ surface_to_array(PyObject *self, PyObject *args, PyObject *kwds)
+ Uint8 opaque = 255;
+ Uint8 clear = 0;
+ SDL_Surface *surf;
++ PyObject *type = NULL;
++ PyObject *value = NULL;
++ PyObject *traceback = NULL;
+ char *keywords[] = {"array", "surface", "kind", "opaque", "clear", 0};
+
+ if (!PyArg_ParseTupleAndKeywords(
+@@ -794,8 +797,16 @@ surface_to_array(PyObject *self, PyObject *args, PyObject *kwds)
+ if (view_p->ndim == 2) {
+ if (view_kind == VIEWKIND_RGB) {
+ if (_copy_mapped(view_p, surf)) {
++ if (PyErr_Occurred()) {
++ PyErr_Fetch(&type, &value, &traceback);
++ PyErr_Clear();
++ }
++
+ pgBuffer_Release(&pg_view);
+ pgSurface_Unlock(surfobj);
++ if (type) {
++ PyErr_Restore(type, value, traceback);
++ }
+ return 0;
+ }
+ }
+@@ -876,6 +887,8 @@ map_array(PyObject *self, PyObject *args)
+ _pc_pixel_t pixel = {0};
+ int pix_bytesize;
+ Py_ssize_t i;
++ PyObject *type = NULL;
++ PyObject *value, *traceback;
+
+ if (!PyArg_ParseTuple(args, "OOO!", &tar_array, &src_array,
+ &pgSurface_Type, &format_surf)) {
+@@ -889,6 +902,11 @@ map_array(PyObject *self, PyObject *args)
+ /* Determine array shapes and check validity
+ */
+ if (pgObject_GetBuffer(tar_array, &tar_pg_view, PyBUF_RECORDS)) {
++ if (PyErr_Occurred()) {
++ PyErr_Fetch(&type, &value, &traceback);
++ PyErr_Clear();
++ }
++
+ goto fail;
+ }
+ is_tar_alloc = 1;
+@@ -912,6 +930,10 @@ map_array(PyObject *self, PyObject *args)
+ goto fail;
+ }
+ if (pgObject_GetBuffer(src_array, &src_pg_view, PyBUF_RECORDS_RO)) {
++ if (PyErr_Occurred()) {
++ PyErr_Fetch(&type, &value, &traceback);
++ PyErr_Clear();
++ }
+ goto fail;
+ }
+ is_src_alloc = 1;
+@@ -1134,6 +1156,11 @@ map_array(PyObject *self, PyObject *args)
+ pgBuffer_Release(&tar_pg_view);
+ }
+ pgSurface_Unlock(format_surf);
++
++ if (type != NULL) {
++ PyErr_Restore(type, value, traceback);
++ }
++
+ return 0;
+ }
+
diff --git a/dev-python/pygame/pygame-2.5.2.ebuild b/dev-python/pygame/pygame-2.5.2.ebuild
new file mode 100644
index 000000000000..6d89ed769186
--- /dev/null
+++ b/dev-python/pygame/pygame-2.5.2.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for SDL multimedia library"
+HOMEPAGE="
+ https://www.pygame.org/
+ https://github.com/pygame/pygame/
+ https://pypi.org/project/pygame/
+"
+SRC_URI="
+ https://github.com/pygame/pygame/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples opengl test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/freetype
+ media-libs/libjpeg-turbo:=
+ media-libs/libpng:=
+ media-libs/portmidi
+ media-libs/sdl2-image
+ media-libs/sdl2-mixer
+ media-libs/sdl2-ttf
+ X? ( media-libs/libsdl2[opengl?,threads,video,X] )
+ !X? ( media-libs/libsdl2[threads] )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ media-libs/sdl2-image[gif,jpeg,png,tiff,webp]
+ media-libs/sdl2-mixer[mp3,vorbis,wav]
+ )
+"
+# fontconfig used for fc-list
+RDEPEND+="
+ media-libs/fontconfig
+"
+# util-linux provides script
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ media-libs/fontconfig
+ sys-apps/util-linux
+ )
+"
+
+src_prepare() {
+ local PATCHES=(
+ # https://github.com/pygame/pygame/pull/4035
+ "${FILESDIR}/${P}-error.patch"
+ )
+
+ # some numpy-related crash (not a regression)
+ # https://github.com/pygame/pygame/issues/4049
+ sed -e 's:import numpy:raise ImportError(""):' \
+ -i test/pixelcopy_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ PORTMIDI_INC_PORTTIME=1 LOCALBASE="${EPREFIX}/usr" \
+ "${EPYTHON}" "${S}"/buildconfig/config.py || die
+}
+
+python_configure_all() {
+ find src_c/cython -name '*.pyx' -exec touch {} + || die
+ "${EPYTHON}" setup.py cython_only || die
+}
+
+python_test() {
+ local -x SDL_VIDEODRIVER=dummy
+ local -x SDL_AUDIODRIVER=disk
+ script -eqc "${EPYTHON} -m pygame.tests -v" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # https://bugs.gentoo.org/497720
+ rm -fr "${D}$(python_get_sitedir)"/pygame/{docs,examples} || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/pytest-plus/Manifest b/dev-python/pytest-plus/Manifest
index 956db37926f2..66967b498f96 100644
--- a/dev-python/pytest-plus/Manifest
+++ b/dev-python/pytest-plus/Manifest
@@ -1,3 +1,5 @@
DIST pytest-plus-0.4.0.tar.gz 9987 BLAKE2B 11b8f17630601f52ebae11b7a660c8d97b4c9f1699096a376c162952a03b9f1b580ead6ac0b040b15c267eec1123bffe07d128eb00aec7414e996275ebc4c4e3 SHA512 4f4258853280cac8e03c0477763fd588d2b3cf11e7746d2b8e7d3cf5774b845412bc8779d74d232e4b3473470c39753dc788ac09faf8e8b7c9fee22d7164bab7
+DIST pytest-plus-0.5.0.tar.gz 11444 BLAKE2B f42a7d9abc934635414959263a85399ccdf5377eb58790339d816a8ed8b3962ce11f088e0e074163c6ea9498ae07cbb9422586cbfad572200f1fa628f1b9620f SHA512 02417b2b02ec44d505ea8b6a4217c55b88d1b1383ee36c51b4480824816eb57513b63da36b86004a777ebbbca462bdf40ac3b18331010c10ca6d6259c837f705
EBUILD pytest-plus-0.4.0.ebuild 590 BLAKE2B e5da07ec57aa02b818057be4f9c6451bce53a35be54bcb26ecce6bab4fdca4c0758a246853a359c0987b3aa5f9a8059ff6f14ee698a28bdd9fff05a73c2ae414 SHA512 efdf001d394baa8638b950208e8ebc7101e1b2c09ef4bec3f6096ea233ea85ccdd4242ab64fe3c64b5c9700ae0d8956db76985ca2a3f977e0641d4a3fe4d9fb7
+EBUILD pytest-plus-0.5.0.ebuild 591 BLAKE2B 202a74bbe5afc518caf33586710b4aed75061b332274aaa9b4af699f54621258b5532434e331c2616a025dd2b8563b96c937d5d57e5622ce45e62f3eb7510111 SHA512 f49ae3d42a199336256e9a51bd6f93f77bab01a341458f796871fafa2561d42f17c6d950c648edb29542a85e9d999e1f3e9518d5cb68ba1e6713dbc42e41a281
MISC metadata.xml 406 BLAKE2B ae1b1a2c28f45b4dd7f752125161396de88cf2ed3881f37f72dc7938cd2ea6485c995d0409c6fbaebeb7b1d4cf59736496549702d7a9d825a2ee5eb1e6a65fdf SHA512 33668115e05810055fa79f5d74c5d3b6eca5bb53e0108a257cb57bb496ebd0292c1dd3f5b33feee58c20c2c381a926c870f9576355171a91106c21fea41d6ab3
diff --git a/dev-python/pytest-plus/pytest-plus-0.5.0.ebuild b/dev-python/pytest-plus/pytest-plus-0.5.0.ebuild
new file mode 100644
index 000000000000..f579173ce992
--- /dev/null
+++ b/dev-python/pytest-plus/pytest-plus-0.5.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PyTest Plus Plugin - extends pytest functionality"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-plus/
+ https://pypi.org/project/pytest-plus/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/pytest-6.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-7.0.5[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 5fff0221bfd4..da455a572bb0 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,5 +1,7 @@
DIST sqlglot-18.12.0.tar.gz 8854252 BLAKE2B 30bd8a7a8d4dd2337c61b4bddcce74a35a7594ed6ac16e0c68f3103c54c1eb9499246d2ec340ae3ebb137a09a2fb29c4a9e0a82eacef959c9cac1204fa68da0d SHA512 0ac80e9f51f68121f5cf7ac7db08832ac48e706dcdb966ab1c432d4d81dc808221e3b45fd6bf31f570ff7add1a49de2f82a8671b8c81d27efb402776c20d6fd3
DIST sqlglot-18.13.0.tar.gz 8873766 BLAKE2B 4dfe6d3d6332bedf13229d2820a12ead44ffcaad0f3f68bb1578d62c325173fddd73f9033277cb0ed8cdfa8e919464ce0efa51ba7dc2a946e725c1698f2afdf8 SHA512 6ed3d4eca1496b800c677b45df5499f96266e09b3c0909b8af9c4512a1bab7b7cfabaf89dad6353af2f579211364597b1ffb0f55975ffcd8c3f520802621e9aa
+DIST sqlglot-18.14.0.tar.gz 8880297 BLAKE2B f5036816e165ca8f6d65ed21db618b216444578b5a0d403f4674d878a02fae6d9dfc5ce67cef3398d040f4cc44eaff7e5f62bcb1521f244a1fa5b9b127dd666a SHA512 1da34636a92238c0cf67230da3fb5551bd6b9e2a252f252e8fdb0a0b237c7bea2435ecd2852f66a4427628445b25ffe78cd86b46f3939a798612f72efd884148
EBUILD sqlglot-18.12.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
EBUILD sqlglot-18.13.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
+EBUILD sqlglot-18.14.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
MISC metadata.xml 635 BLAKE2B fb154da2feeea6d590b4f3edb8d8d90d316feee1b8faababc022db026254bd24674d8419b74074b089d4d8930bab642cdc5fa7694bfa9e033cb5ef4ad4988562 SHA512 dd5ed7212dc2eac6a4d84bb2e3639db1ffe163598d911073d7100a8ebfeceb85842ea2e6a597d1036d5b1388d18954b95a782af7b3a84479bf3b59ef9e9b6bf8
diff --git a/dev-python/sqlglot/sqlglot-18.14.0.ebuild b/dev-python/sqlglot/sqlglot-18.14.0.ebuild
new file mode 100644
index 000000000000..368b77416b42
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-18.14.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index 201300ed134d..65d8c591eed2 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,5 +1,7 @@
+DIST trove-classifiers-2023.10.17.tar.gz 15858 BLAKE2B d190e4b5ca962fddecfe3d486be479d063897d09049f52a9e5e36c4b28857e5a8f34f71659d3f07377565673f3011e8f77459c1083883838b51a11dc594fb2d5 SHA512 ca6f2d23f24f000589a236d4304ed0faab8449d95b7f3ac091f168e04b2b2f6fbe586a48a38952034f40153e667b9c9b61710a0e9b19e8fa54f95db1c7008dad
DIST trove-classifiers-2023.8.7.tar.gz 15856 BLAKE2B b20befe256e51704b4974ba7b3bcae88ff2ae1f1281da145f16a77963a75b3d2a58aa5914d622e8687a0e08915ae92783c4782a90390b53a0f346d829dce8cd3 SHA512 d414f5e71abf0eef3593c9509c93b4d3dbbf0b8f6ffacc85acd43be9e0f31d924757868e86bb069d9f0475731c811229ffc827568fe957fef850e71a0a5119fa
DIST trove-classifiers-2023.9.19.tar.gz 15865 BLAKE2B 2a84af01c16a728f708775dce6c3b4da564072cdcb6cdb6fea8014ee27744a657d8dc10663eca9fe4f9c9dec6faaa2684b10fe08d827ab52d6a61f16b557b40f SHA512 09979aacca745459f075cce85c483113955e0d218079132478596f350b7d7788d1a734dc82364194df9b31e4c109a806c50db4bb122b1f5bf747d9e7a0616143
+EBUILD trove-classifiers-2023.10.17.ebuild 747 BLAKE2B 08ff0f0c07bd25c54e464fc51f0a227d0b0890051858dccb257a96b863178e07816d8ccdeb1fadfb9467381cceecb9d8940cbdcf9de9854a0ffccad259fedc59 SHA512 08e3220c6390f23ba9d0920abfc64285c5550ae214c4971fdfb5b1caf804d6f265fd07f6259ea01d43dfb81e0de94ffac7806f09c8dd6e41bad0259a51e13ed8
EBUILD trove-classifiers-2023.8.7.ebuild 739 BLAKE2B 039b3026a8708593f349982cfe404c7be4d1d928a480e0bb82c9642fe3f029f515d551b1ae315a7ffa8185b28b88df758247807186ebc542cb2e68989ad28b9e SHA512 567ecb2558264c4cf61f21d4219f997410b45dc5b02e07d31198a5d3be1990d40eff5b900b32db5c1a6fb31a26e716d86b5afb4c10ea0209f0f911c3c6ad5866
EBUILD trove-classifiers-2023.9.19.ebuild 747 BLAKE2B 08ff0f0c07bd25c54e464fc51f0a227d0b0890051858dccb257a96b863178e07816d8ccdeb1fadfb9467381cceecb9d8940cbdcf9de9854a0ffccad259fedc59 SHA512 08e3220c6390f23ba9d0920abfc64285c5550ae214c4971fdfb5b1caf804d6f265fd07f6259ea01d43dfb81e0de94ffac7806f09c8dd6e41bad0259a51e13ed8
MISC metadata.xml 385 BLAKE2B 0d679ace6575dab100af9918e8b6dbde2f70cbf556c23ee667d68f69c6dd07887e43a513a73e60849a7a4b88cb26d4cd85b4cb905b926ee3832161c663adc9c0 SHA512 977bc86d4fb2dfcc887fd8d4038b8ac76cb0f4783424d3ab0857256afaf5dacf4e45c0d2a9166daa854be1dc8faba4a10c4718c557b983a1c7bb0a33fcd61f41
diff --git a/dev-python/trove-classifiers/trove-classifiers-2023.10.17.ebuild b/dev-python/trove-classifiers/trove-classifiers-2023.10.17.ebuild
new file mode 100644
index 000000000000..3c130311d42a
--- /dev/null
+++ b/dev-python/trove-classifiers/trove-classifiers-2023.10.17.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
+HOMEPAGE="
+ https://github.com/pypa/trove-classifiers/
+ https://pypi.org/project/trove-classifiers/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ dev-python/calver[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest
+ "${EPYTHON}" -m tests.lib || die
+}
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 7a8ed3943bb9..65e081a08f86 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,11 +1,15 @@
DIST urllib3-1.26.16.tar.gz 303733 BLAKE2B 94c0cfb8696b15ff7aed25927ba584d0d67b150953586ca4d74ddc8f1d0a95ca447a482cf7d0f95728fad1e7e51a610e29c3e342ebe68e65a86789308544ea51 SHA512 caa58af5bf49644459a9074be659511b56c5d66802153c72ba2ba2eb9c0aafd56b4cd8f8588964ee7d2a9b16a5e114d62298ab1e128710260ed86f1e315b5571
DIST urllib3-1.26.17.tar.gz 305031 BLAKE2B 616b183168a78737988428efa52516586b66cab067d6a257af544c67922156e1e769fbbdd65c8f1ba606f02faa5918e4bafe8c1b27105b8e3f5fe644260d093d SHA512 f26c54def8564981f241a94c915c660d26a52d5437a1e1f4b8ebb6d6cd9de834a31b5816306c2cf2cadc2af00a1633bee97c8bbefa5a45b8e732f7566b4c0327
+DIST urllib3-1.26.18.tar.gz 305687 BLAKE2B f2f673761a8d80eee715a8726ba36ab6b09800fd4a4f03f27438553c36072e2abb5ff26cff71dcf30fd114f4d28c4ad9907533965b83c8a0581d3d4661904b70 SHA512 c89e93a032bf6b11375c06ef7c5abc1868f93e7655cfdca09e9bd939ad415d206ea159fe151ecd2e5f725e0e18a831c7a5382ad01dbc32264154fc8af7aec156
DIST urllib3-2.0.4.tar.gz 281517 BLAKE2B 58635787069b6d8e83394ddacca2c70824c03190efb4e0838b9b80d8e8c1499fa0143e1d38ece4e2a7f9b34d6b50f9805050bf85707d98eb171307ff35f8b215 SHA512 64d55714d871716730af5a691fc222722cffc13b0603ecae597e5f4cfd82297beede2b08cedc030b2419bd446f51c4c6e54f466ad96c71dd0848abbf806b4db4
DIST urllib3-2.0.5.tar.gz 281697 BLAKE2B 7ae1cc90243cd2069767d4a3f7ca3b96d9e6270f38b363ba2c2cfddeb293cc75782740524bdf91d64bd08dcf1dc44cb9fe6ec2b501d34bdf4c69d893c794382a SHA512 dead3fcda9637c6142b577f051f25578249f7513d3d2bdf4ed880b7a063ff7ee2e946e72b91355328b12205600abc487252ca025f3946408093df46134d9fc12
DIST urllib3-2.0.6.tar.gz 281846 BLAKE2B 3af632a77f07d5c686e6412b06d67df5c62517239431ead7d0c7e7bbb5efe06c298db0afda1a84fb314f3e3936edd16aef693ac316a923f67232abf8789b6201 SHA512 872a5899ad4486b45fe7a327f029beb5f7d3dd8447b58b861922b32bd15f1cff68d12136f262c2d2d3740047976bc6cff16a54590c1eab19949149e7dae2956a
+DIST urllib3-2.0.7.tar.gz 282546 BLAKE2B d4fbb9e1d0b6d1f3c3d71efc3fc479c7b1c49f87ca849c387701fb0c8b4124082de6d83d958c8b2afc225a84b80e7665df857e7b0918ba50e4ad1431f8facc4d SHA512 ca21dd330cfc7f53e6f00a92be1df1d24acbe61b6ca31c52a272dccd6f50d1bb797eece9132860adc84c21a9bebc3030a12816081451fcb8384c11a6cd2d1e8b
EBUILD urllib3-1.26.16.ebuild 2193 BLAKE2B 724c27ff2cd776ada5c8ddb43aab29e8a1a6c7b1a4b984a7b5c8050aa8036e908dc45c8a012fd83d3fe9a5a819578249b73b60d0cb573a47d133396813ecf96a SHA512 575c8e31fcacbe8542ac3067ae878ef0995cc4176d845e287edffc7223a8725af3940bba4b54f77d4f5a9125568076e45415176bdd4a2d470f8b7389129e68ec
EBUILD urllib3-1.26.17.ebuild 2201 BLAKE2B 98ae03f6c251c76be21eb42756daf2edbcc4425452399907c769f6d55184fb19b856b70bdd72ad7438db4e773eccbdee6e6f36e8e5d1d473c7a3e8c40f56fc04 SHA512 14559b23666fba479cf3a837534eb2878f777a81e09c0b16d015cbf77b910c784b64c326aba9b8cb352e17b4e552c22da297d1e98920101e44892b35b3790032
+EBUILD urllib3-1.26.18.ebuild 2320 BLAKE2B 58fb1494ba7fd15909e3f863f3226acd37743e3581080e05ac76c56050787b883965f04a7ab7c4e5dd17146ae6c80cbed82ea7cb1048688b7c5b133609e62af4 SHA512 6b935d8813b3e29aab92fdb3ec3b76a54c980770030de937e5b78fbdc8002d578246e994f2f47b3b9929c27a373da836441faf65fa234d203d41acc1dd2ef69c
EBUILD urllib3-2.0.4.ebuild 3042 BLAKE2B fb92698b15dfd29a25b9860148eccdd35665a780afdfc543ede495be10847284fd512779e8c2120e0a9de05420376d20fe82a6d172dd6ecfbcaed8d9a6224d2a SHA512 46f4e9f1c32fa6700e18130d67e29ca0cfa25ed7385df9cf02c2c2b3fbf96efd520e70653ddc209a035cce51a8d3d9272e23bebe5e59f9f1879febf9732175e3
EBUILD urllib3-2.0.5.ebuild 3305 BLAKE2B 799af269c4b33717e99e465d947a256ae81160fb2a6c5dada46e0a450287a73474c9e682f1370454f17559af825c6e21244959530da70625035830e1404cf070 SHA512 1af95b47010b03acaa9343db5719ed97656a045955849702dd6442ba9a6792ac3ebfd7beb63563e50367ed6b5fd89b976efbaf56f779593a9beaacd82a74d696
EBUILD urllib3-2.0.6.ebuild 3305 BLAKE2B 799af269c4b33717e99e465d947a256ae81160fb2a6c5dada46e0a450287a73474c9e682f1370454f17559af825c6e21244959530da70625035830e1404cf070 SHA512 1af95b47010b03acaa9343db5719ed97656a045955849702dd6442ba9a6792ac3ebfd7beb63563e50367ed6b5fd89b976efbaf56f779593a9beaacd82a74d696
+EBUILD urllib3-2.0.7.ebuild 3305 BLAKE2B 799af269c4b33717e99e465d947a256ae81160fb2a6c5dada46e0a450287a73474c9e682f1370454f17559af825c6e21244959530da70625035830e1404cf070 SHA512 1af95b47010b03acaa9343db5719ed97656a045955849702dd6442ba9a6792ac3ebfd7beb63563e50367ed6b5fd89b976efbaf56f779593a9beaacd82a74d696
MISC metadata.xml 531 BLAKE2B 3ddfea4b8817c827437a79abae8cf4e9cda95addb1c6505ef13018587720bba0cf0788041c0b4cc8b25f319e7cb1c94117ae25b3cbb567f24373e8e89bedaa7b SHA512 7e7191f0338c4c47f01bdceb3d2c6ed94de2241e77fb3be6cbf3ecf8a0682730392a9ee5adf24304d9a322acc06bd84f4f90f1dddcb258cb2e9ba0de9952b693
diff --git a/dev-python/urllib3/urllib3-1.26.18.ebuild b/dev-python/urllib3/urllib3-1.26.18.ebuild
new file mode 100644
index 000000000000..8d3723a28ac8
--- /dev/null
+++ b/dev-python/urllib3/urllib3-1.26.18.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{10..12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="brotli test"
+RESTRICT="!test? ( test )"
+
+# dev-python/{pyopenssl,cryptography,idna,certifi} are optional runtime
+# dependencies. Do not add them to RDEPEND. They should be unnecessary with
+# modern versions of python (>= 3.2).
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ brotli? ( dev-python/brotlicffi[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/mock[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle urllib3
+ rm src/urllib3/packages/six.py || die
+ find -name '*.py' -exec sed -i \
+ -e 's:\([.]*\|urllib3\.\)\?packages\.six:six:g' \
+ -e 's:from \([.]*\|urllib3\.\)\?packages import six:import six:g' \
+ {} + || die
+}
+
+python_test() {
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # unstable (relies on warning count)
+ test/with_dummyserver/test_proxy_poolmanager.py::TestHTTPProxyManager::test_proxy_verified_warning
+ # some random overflow
+ test/with_dummyserver/test_socketlevel.py::TestSSL::test_requesting_large_resources_via_ssl
+ )
+ has "${EPYTHON}" python3.{8..10} && EPYTEST_DESELECT+=(
+ test/contrib/test_pyopenssl.py::TestPyOpenSSLHelpers::test_get_subj_alt_name
+ )
+
+ epytest
+}
diff --git a/dev-python/urllib3/urllib3-2.0.7.ebuild b/dev-python/urllib3/urllib3-2.0.7.ebuild
new file mode 100644
index 000000000000..32852e31e793
--- /dev/null
+++ b/dev-python/urllib3/urllib3-2.0.7.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_TESTED=( python3_{10..12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="brotli test zstd"
+RESTRICT="!test? ( test )"
+
+# [secure] extra is deprecated and slated for removal, we don't need it:
+# https://github.com/urllib3/urllib3/issues/2680
+RDEPEND="
+ >=dev-python/PySocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/PySocks-2.0[${PYTHON_USEDEP}]
+ brotli? ( >=dev-python/brotlicffi-0.8.0[${PYTHON_USEDEP}] )
+ zstd? ( >=dev-python/zstandard-0.18.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/freezegun[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[\${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.18.0[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ # upstream considers 0.5 s to be "long" for a timeout
+ # we get tons of test failures on *fast* systems because of that
+ sed -i -e '/LONG_TIMEOUT/s:0.5:5:' test/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # take forever
+ test/contrib/test_pyopenssl.py::TestSocketSSL::test_requesting_large_resources_via_ssl
+ test/with_dummyserver/test_socketlevel.py::TestSSL::test_requesting_large_resources_via_ssl
+ # stupid test, next bump please verify if they fixed it
+ test/test_poolmanager.py::TestPoolManager::test_deprecated_no_scheme
+ # fails with newer secure SSL configuration, which removes TLS 1.1
+ test/contrib/test_pyopenssl.py::TestHTTPS_TLSv1::test_verify_none_and_good_fingerprint
+ test/contrib/test_pyopenssl.py::TestHTTPS_TLSv1_1::test_verify_none_and_good_fingerprint
+ test/with_dummyserver/test_https.py::TestHTTPS_TLSv1::test_verify_none_and_good_fingerprint
+ test/with_dummyserver/test_https.py::TestHTTPS_TLSv1_1::test_verify_none_and_good_fingerprint
+ # TODO: timeouts
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_timeout_errors_cause_retries
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
+ # warnings, sigh
+ test/with_dummyserver/test_connectionpool.py::TestConnectionPool::test_request_chunked_is_deprecated
+ )
+
+ # plugins make tests slower, and more fragile
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # some tests are very fragile to timing
+ epytest -p rerunfailures --reruns=10 --reruns-delay=2 \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}